
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest0 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test001"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.distribution.FDistributionImpl fDistributionImpl2 = new org.apache.commons.math.distribution.FDistributionImpl(10.0d, 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test002"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(10.0d, 10.0d, 100.0d, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test003"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.0d, 0.0d, 10.0d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test004"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(100.0d, Double.NaN, 0.0d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test005"); }


    double d2 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.midpoint(Double.NaN, 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test006"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.solve(univariateRealFunction0, (-1.0d), (-1.0d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test007"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test008"); }


    double d4 = org.apache.commons.math.special.Beta.regularizedBeta(1.0d, 100.0d, 100.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test009"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.solve(univariateRealFunction0, 1.0d, 0.0d, 10.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test010"); }


    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException(0.0d, "", obj_array2, (java.lang.Throwable)mathException3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test011"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Beta.regularizedBeta(0.0d, 1.0d, 10.0d, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test012"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.0d, 0.0d, 100.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test013"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.BrentSolver brentSolver1 = new org.apache.commons.math.analysis.BrentSolver(univariateRealFunction0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test014"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 10.0d, 0.0d, (-1.0d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test015"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.bracket(univariateRealFunction0, Double.NaN, 100.0d, 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test016"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(10.0d, (-1.0d), 10.0d, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test017"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(Double.NaN, 100.0d, 100.0d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test018"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.solve(univariateRealFunction0, (-1.0d), 1.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test019"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str2 = maxIterationsExceededException1.toString();
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException1);
    int i4 = maxIterationsExceededException1.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str2.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test020"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 100.0d, (-1.0d), 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test021"); }


    org.apache.commons.math.analysis.UnivariateRealSolverFactoryImpl univariateRealSolverFactoryImpl0 = new org.apache.commons.math.analysis.UnivariateRealSolverFactoryImpl();
    org.apache.commons.math.analysis.DifferentiableUnivariateRealFunction differentiableUnivariateRealFunction1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.UnivariateRealSolver univariateRealSolver2 = univariateRealSolverFactoryImpl0.newNewtonSolver(differentiableUnivariateRealFunction1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test022"); }


    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException4 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i5 = maxIterationsExceededException4.getMaxIterations();
    java.lang.Object[] obj_array6 = maxIterationsExceededException4.getArguments();
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException4);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException(10.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array2, (java.lang.Throwable)mathException7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test023"); }


    org.apache.commons.math.analysis.UnivariateRealSolverFactoryImpl univariateRealSolverFactoryImpl0 = new org.apache.commons.math.analysis.UnivariateRealSolverFactoryImpl();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.UnivariateRealSolver univariateRealSolver2 = univariateRealSolverFactoryImpl0.newBisectionSolver(univariateRealFunction1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test024"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i2 = maxIterationsExceededException1.getMaxIterations();
    java.lang.String str3 = maxIterationsExceededException1.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str3.equals("Maximal number of iterations ({0}) exceeded"));

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test025"); }


    org.apache.commons.math.analysis.UnivariateRealSolverFactoryImpl univariateRealSolverFactoryImpl0 = new org.apache.commons.math.analysis.UnivariateRealSolverFactoryImpl();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.UnivariateRealSolver univariateRealSolver2 = univariateRealSolverFactoryImpl0.newDefaultSolver(univariateRealFunction1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test026"); }


    org.apache.commons.math.analysis.UnivariateRealSolverFactoryImpl univariateRealSolverFactoryImpl0 = new org.apache.commons.math.analysis.UnivariateRealSolverFactoryImpl();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.UnivariateRealSolver univariateRealSolver2 = univariateRealSolverFactoryImpl0.newSecantSolver(univariateRealFunction1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test027"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.distribution.FDistributionImpl fDistributionImpl2 = new org.apache.commons.math.distribution.FDistributionImpl(0.0d, 10.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test028"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 1.0d, (-1.0d), (-1.0d), 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test029"); }


    org.apache.commons.math.analysis.UnivariateRealSolverFactory univariateRealSolverFactory0 = org.apache.commons.math.analysis.UnivariateRealSolverFactory.newInstance();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolverFactory0);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test030"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(Double.NaN, 10.0d, 0.0d, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test031"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 359.1342053695754d);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test032"); }


    org.apache.commons.math.analysis.UnivariateRealSolverFactoryImpl univariateRealSolverFactoryImpl0 = new org.apache.commons.math.analysis.UnivariateRealSolverFactoryImpl();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.UnivariateRealSolver univariateRealSolver2 = univariateRealSolverFactoryImpl0.newBrentSolver(univariateRealFunction1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test033"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(10.0d, 1.0d, 359.1342053695754d, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test034"); }


    double d2 = org.apache.commons.math.special.Beta.logBeta(1.0d, 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-2.302585092994052d));

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test035"); }


    java.lang.Object[] obj_array1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException("", obj_array1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test036"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.bracket(univariateRealFunction0, (-1.0d), 10.0d, 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test037"); }


    double d2 = org.apache.commons.math.special.Beta.logBeta(100.0d, 359.1342053695754d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-241.8972023696183d));

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test038"); }


    double d3 = org.apache.commons.math.special.Beta.regularizedBeta(Double.NaN, 359.1342053695754d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test039"); }


    double d4 = org.apache.commons.math.special.Beta.logBeta(Double.NaN, 359.1342053695754d, 0.0d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test040"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(1.0d, (-2.302585092994052d), 0.0d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test041"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP((-1.0d), (-241.8972023696183d), 0.0d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test042"); }


    double d4 = org.apache.commons.math.special.Beta.logBeta((-241.8972023696183d), 359.1342053695754d, (-241.8972023696183d), 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test043"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i2 = maxIterationsExceededException1.getMaxIterations();
    java.lang.Object[] obj_array3 = maxIterationsExceededException1.getArguments();
    int i4 = maxIterationsExceededException1.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test044"); }


    java.lang.Object[] obj_array3 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException5 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i6 = maxIterationsExceededException5.getMaxIterations();
    java.lang.Object[] obj_array7 = maxIterationsExceededException5.getArguments();
    java.lang.Object[] obj_array8 = maxIterationsExceededException5.getArguments();
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("hi!", obj_array3, (java.lang.Throwable)maxIterationsExceededException5);
    java.lang.Object[] obj_array13 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException15 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i16 = maxIterationsExceededException15.getMaxIterations();
    java.lang.Object[] obj_array17 = maxIterationsExceededException15.getArguments();
    java.lang.Object[] obj_array18 = maxIterationsExceededException15.getArguments();
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("hi!", obj_array13, (java.lang.Throwable)maxIterationsExceededException15);
    java.lang.Object[] obj_array22 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable23 = null;
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("hi!", obj_array22, throwable23);
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array13, (java.lang.Throwable)mathException24);
    java.lang.Object[] obj_array26 = mathException24.getArguments();
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array3, (java.lang.Throwable)mathException24);
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test045"); }


    java.lang.Object[] obj_array4 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable5 = null;
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("hi!", obj_array4, throwable5);
    org.apache.commons.math.ConvergenceException convergenceException7 = new org.apache.commons.math.ConvergenceException("", obj_array4);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array4);
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException8);
    java.lang.String str10 = mathException8.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str10.equals("Maximal number of iterations ({0}) exceeded"));

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test046"); }


    java.lang.Object[] obj_array5 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException7 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i8 = maxIterationsExceededException7.getMaxIterations();
    java.lang.Object[] obj_array9 = maxIterationsExceededException7.getArguments();
    java.lang.Object[] obj_array10 = maxIterationsExceededException7.getArguments();
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("hi!", obj_array5, (java.lang.Throwable)maxIterationsExceededException7);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable15 = null;
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("hi!", obj_array14, throwable15);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array5, (java.lang.Throwable)mathException16);
    java.lang.Object[] obj_array20 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable21 = null;
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException("hi!", obj_array20, throwable21);
    org.apache.commons.math.ConvergenceException convergenceException23 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array5, (java.lang.Throwable)mathException22);
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: Evaluation failed for argument = 10", obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test047"); }


    double d2 = org.apache.commons.math.special.Beta.logBeta(1.0d, 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-4.605170185988072d));

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test048"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 359.1342053695754d, (-1.0d), (-2.302585092994052d), 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test049"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ((-4.605170185988072d), 0.0d, 359.1342053695754d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test050"); }


    java.lang.Object[] obj_array5 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable6 = null;
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("hi!", obj_array5, throwable6);
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException("", obj_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((-2.302585092994052d), "", obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test051"); }


    double d2 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.midpoint(100.0d, (-241.8972023696183d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-70.94860118480915d));

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test052"); }


    double d4 = org.apache.commons.math.special.Beta.regularizedBeta(10.0d, (-4.605170185988072d), 10.0d, (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test053"); }


    double d4 = org.apache.commons.math.special.Beta.regularizedBeta((-2.302585092994052d), 1.0d, 10.0d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test054"); }


    double d2 = org.apache.commons.math.special.Beta.logBeta(359.1342053695754d, 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-241.8972023696183d));

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test055"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str2 = maxIterationsExceededException1.toString();
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException1);
    java.lang.String str4 = maxIterationsExceededException1.getPattern();
    java.lang.String str5 = maxIterationsExceededException1.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str2.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str4.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str5.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test056"); }


    double d3 = org.apache.commons.math.special.Beta.regularizedBeta((-2.302585092994052d), 1.0d, (-4.605170185988072d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test057"); }


    double d5 = org.apache.commons.math.special.Beta.regularizedBeta(359.1342053695754d, (-70.94860118480915d), 0.0d, (-2.302585092994052d), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test058"); }


    double d4 = org.apache.commons.math.special.Beta.regularizedBeta(1.0d, 0.0d, 10.0d, 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test059"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.0d, (-70.94860118480915d), (-1.0d), 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test060"); }


    double d2 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.midpoint(0.0d, (-2.302585092994052d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.151292546497026d));

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test061"); }


    double d4 = org.apache.commons.math.special.Beta.logBeta(Double.NaN, 1.0d, 100.0d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test062"); }


    double d2 = org.apache.commons.math.special.Beta.logBeta((-2.302585092994052d), (-70.94860118480915d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test063"); }


    double d5 = org.apache.commons.math.special.Beta.regularizedBeta(0.0d, 1.0d, (-1.151292546497026d), (-70.94860118480915d), 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test064"); }


    java.lang.Object[] obj_array8 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable9 = null;
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("hi!", obj_array8, throwable9);
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException("", obj_array8);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array8);
    java.lang.Throwable throwable13 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(0.0d, "", obj_array8, throwable13);
    java.lang.Object[] obj_array20 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException22 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i23 = maxIterationsExceededException22.getMaxIterations();
    java.lang.Object[] obj_array24 = maxIterationsExceededException22.getArguments();
    java.lang.Object[] obj_array25 = maxIterationsExceededException22.getArguments();
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("hi!", obj_array20, (java.lang.Throwable)maxIterationsExceededException22);
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("", obj_array20);
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array20);
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array20);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(100.0d, "", obj_array8, (java.lang.Throwable)mathException29);
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException();
    java.lang.String str32 = mathException31.getPattern();
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException31);
    functionEvaluationException30.addSuppressed((java.lang.Throwable)mathException33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str32);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test065"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.bracket(univariateRealFunction0, (-4.605170185988072d), 1.0d, (-1.151292546497026d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test066"); }


    double d4 = org.apache.commons.math.special.Beta.regularizedBeta((-241.8972023696183d), 359.1342053695754d, 0.0d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test067"); }


    java.lang.Object[] obj_array5 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException7 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i8 = maxIterationsExceededException7.getMaxIterations();
    java.lang.Object[] obj_array9 = maxIterationsExceededException7.getArguments();
    java.lang.Object[] obj_array10 = maxIterationsExceededException7.getArguments();
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("hi!", obj_array5, (java.lang.Throwable)maxIterationsExceededException7);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable15 = null;
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("hi!", obj_array14, throwable15);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array5, (java.lang.Throwable)mathException16);
    java.lang.Object[] obj_array20 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable21 = null;
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException("hi!", obj_array20, throwable21);
    org.apache.commons.math.ConvergenceException convergenceException23 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array5, (java.lang.Throwable)mathException22);
    java.lang.Throwable throwable24 = null;
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("hi!", obj_array5, throwable24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test068"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    double d2 = functionEvaluationException1.getArgument();
    java.lang.String str3 = functionEvaluationException1.getPattern();
    java.lang.String str4 = functionEvaluationException1.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Evaluation failed for argument = {0}"+ "'", str3.equals("Evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: Evaluation failed for argument = 10"+ "'", str4.equals("org.apache.commons.math.FunctionEvaluationException: Evaluation failed for argument = 10"));

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test069"); }


    double d3 = org.apache.commons.math.special.Beta.regularizedBeta(Double.NaN, 100.0d, 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test070"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ((-241.8972023696183d), (-2.302585092994052d), (-241.8972023696183d), 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test071"); }


    java.lang.Object[] obj_array1 = null;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { Double.NaN };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException7 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException("", obj_array5, (java.lang.Throwable)maxIterationsExceededException7);
    java.lang.Object[] obj_array9 = maxIterationsExceededException7.getArguments();
    java.lang.Object[] obj_array13 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException15 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i16 = maxIterationsExceededException15.getMaxIterations();
    java.lang.Object[] obj_array17 = maxIterationsExceededException15.getArguments();
    java.lang.Object[] obj_array18 = maxIterationsExceededException15.getArguments();
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("hi!", obj_array13, (java.lang.Throwable)maxIterationsExceededException15);
    java.lang.Object[] obj_array22 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable23 = null;
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("hi!", obj_array22, throwable23);
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array13, (java.lang.Throwable)mathException24);
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("", obj_array9, (java.lang.Throwable)mathException24);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array1, (java.lang.Throwable)mathException26);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test072"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str2 = maxIterationsExceededException1.toString();
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException1);
    java.lang.String str4 = maxIterationsExceededException1.getPattern();
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException1);
    java.lang.String str6 = mathException5.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str2.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str4.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.MathException: Maximal number of iterations (0) exceeded"+ "'", str6.equals("org.apache.commons.math.MathException: Maximal number of iterations (0) exceeded"));

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test073"); }


    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException3 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i4 = maxIterationsExceededException3.getMaxIterations();
    java.lang.Object[] obj_array5 = maxIterationsExceededException3.getArguments();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.ConvergenceException convergenceException6 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array1, (java.lang.Throwable)maxIterationsExceededException3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test074"); }


    java.lang.Object[] obj_array5 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException7 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i8 = maxIterationsExceededException7.getMaxIterations();
    java.lang.Object[] obj_array9 = maxIterationsExceededException7.getArguments();
    java.lang.Object[] obj_array10 = maxIterationsExceededException7.getArguments();
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("hi!", obj_array5, (java.lang.Throwable)maxIterationsExceededException7);
    java.lang.Object[] obj_array15 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException17 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i18 = maxIterationsExceededException17.getMaxIterations();
    java.lang.Object[] obj_array19 = maxIterationsExceededException17.getArguments();
    java.lang.Object[] obj_array20 = maxIterationsExceededException17.getArguments();
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("hi!", obj_array15, (java.lang.Throwable)maxIterationsExceededException17);
    java.lang.Object[] obj_array24 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable25 = null;
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("hi!", obj_array24, throwable25);
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array15, (java.lang.Throwable)mathException26);
    java.lang.Object[] obj_array28 = mathException26.getArguments();
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array5, (java.lang.Throwable)mathException26);
    java.lang.Object[] obj_array36 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable37 = null;
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException("hi!", obj_array36, throwable37);
    org.apache.commons.math.ConvergenceException convergenceException39 = new org.apache.commons.math.ConvergenceException("", obj_array36);
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array36);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException42 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str43 = maxIterationsExceededException42.toString();
    org.apache.commons.math.MathException mathException44 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException42);
    java.lang.String str45 = maxIterationsExceededException42.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException(359.1342053695754d, "", obj_array36, (java.lang.Throwable)maxIterationsExceededException42);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException((-4.605170185988072d), "org.apache.commons.math.FunctionEvaluationException: Evaluation failed for argument = 10", obj_array5, (java.lang.Throwable)maxIterationsExceededException42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str43 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str43.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str45 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str45.equals("Maximal number of iterations ({0}) exceeded"));

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test075"); }


    double d2 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.midpoint(10.0d, (-1.151292546497026d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.424353726751487d);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test076"); }


    double d2 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.midpoint((-241.8972023696183d), 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-70.94860118480915d));

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test077"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test078"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP((-241.8972023696183d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test079"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.0d, (-70.94860118480915d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test080"); }


    double d4 = org.apache.commons.math.special.Beta.regularizedBeta(100.0d, (-70.94860118480915d), (-2.302585092994052d), (-2.302585092994052d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test081"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException1);
    org.apache.commons.math.ConvergenceException convergenceException3 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException2);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test082"); }


    java.lang.Object[] obj_array4 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable5 = null;
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("hi!", obj_array4, throwable5);
    org.apache.commons.math.ConvergenceException convergenceException7 = new org.apache.commons.math.ConvergenceException("", obj_array4);
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.FunctionEvaluationException: Evaluation failed for argument = 10", obj_array4);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException16 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i17 = maxIterationsExceededException16.getMaxIterations();
    java.lang.Object[] obj_array18 = maxIterationsExceededException16.getArguments();
    java.lang.Object[] obj_array19 = maxIterationsExceededException16.getArguments();
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("hi!", obj_array14, (java.lang.Throwable)maxIterationsExceededException16);
    java.lang.Object[] obj_array23 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable24 = null;
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("hi!", obj_array23, throwable24);
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array14, (java.lang.Throwable)mathException25);
    java.lang.Object[] obj_array29 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable30 = null;
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException("hi!", obj_array29, throwable30);
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array14, (java.lang.Throwable)mathException31);
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array14);
    convergenceException8.addSuppressed((java.lang.Throwable)mathException33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test083"); }


    double d2 = org.apache.commons.math.special.Beta.logBeta((-241.8972023696183d), Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test084"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.solve(univariateRealFunction0, 10.0d, 10.0d, 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test085"); }


    double d4 = org.apache.commons.math.special.Beta.regularizedBeta(359.1342053695754d, 1.0d, 0.0d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test086"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ((-1.0d), 359.1342053695754d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test087"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.bracket(univariateRealFunction0, (-1.0d), 4.424353726751487d, 1.0d, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test088"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.bracket(univariateRealFunction0, (-1.151292546497026d), 4.424353726751487d, 4.424353726751487d, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test089"); }


    java.lang.Object[] obj_array1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.FunctionEvaluationException: Evaluation failed for argument = 10", obj_array1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test090"); }


    double d2 = org.apache.commons.math.special.Beta.logBeta(0.0d, 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test091"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 359.1342053695754d, (-241.8972023696183d), 4.424353726751487d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test092"); }


    double d4 = org.apache.commons.math.special.Beta.regularizedBeta((-241.8972023696183d), 4.424353726751487d, 359.1342053695754d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test093"); }


    java.lang.Object[] obj_array7 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable8 = null;
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("hi!", obj_array7, throwable8);
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException("", obj_array7);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array7);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException12 = new org.apache.commons.math.MaxIterationsExceededException(10, "Maximal number of iterations ({0}) exceeded", obj_array7);
    java.lang.Throwable throwable13 = null;
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: Evaluation failed for argument = 10", obj_array7, throwable13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test094"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.solve(univariateRealFunction0, (-2.302585092994052d), (-70.94860118480915d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test095"); }


    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    org.apache.commons.math.ConvergenceException convergenceException4 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException3);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("hi!", obj_array1, (java.lang.Throwable)convergenceException4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test096"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 100.0d, (-241.8972023696183d), 4.424353726751487d, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test097"); }


    double d5 = org.apache.commons.math.special.Beta.regularizedBeta(4.424353726751487d, (-70.94860118480915d), (-4.605170185988072d), 0.0d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test098"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Beta.regularizedBeta(0.0d, 10.0d, 100.0d, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test099"); }


    double d5 = org.apache.commons.math.special.Beta.regularizedBeta(Double.NaN, (-241.8972023696183d), 359.1342053695754d, 0.0d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test100"); }


    double d4 = org.apache.commons.math.special.Beta.regularizedBeta(0.0d, 359.1342053695754d, 0.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test101"); }


    java.lang.Object[] obj_array3 = new java.lang.Object[] { Double.NaN };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException5 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.ConvergenceException convergenceException6 = new org.apache.commons.math.ConvergenceException("", obj_array3, (java.lang.Throwable)maxIterationsExceededException5);
    java.lang.Throwable[] throwable_array7 = convergenceException6.getSuppressed();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException12 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i13 = maxIterationsExceededException12.getMaxIterations();
    java.lang.Object[] obj_array14 = maxIterationsExceededException12.getArguments();
    java.lang.Object[] obj_array15 = maxIterationsExceededException12.getArguments();
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("hi!", obj_array15);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException();
    java.lang.String str19 = mathException18.getPattern();
    java.lang.Object[] obj_array20 = new java.lang.Object[] { str19 };
    java.lang.Object[] obj_array25 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException27 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i28 = maxIterationsExceededException27.getMaxIterations();
    java.lang.Object[] obj_array29 = maxIterationsExceededException27.getArguments();
    java.lang.Object[] obj_array30 = maxIterationsExceededException27.getArguments();
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException("hi!", obj_array25, (java.lang.Throwable)maxIterationsExceededException27);
    java.lang.Object[] obj_array34 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable35 = null;
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException("hi!", obj_array34, throwable35);
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array25, (java.lang.Throwable)mathException36);
    java.lang.Object[] obj_array40 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable41 = null;
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException("hi!", obj_array40, throwable41);
    org.apache.commons.math.ConvergenceException convergenceException43 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array25, (java.lang.Throwable)mathException42);
    org.apache.commons.math.MathException mathException44 = new org.apache.commons.math.MathException("", obj_array20, (java.lang.Throwable)convergenceException43);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException(0.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array15, (java.lang.Throwable)mathException44);
    org.apache.commons.math.MathException mathException46 = new org.apache.commons.math.MathException("", (java.lang.Object[])throwable_array7, (java.lang.Throwable)functionEvaluationException45);
    org.apache.commons.math.ConvergenceException convergenceException47 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test102"); }


    java.lang.Object[] obj_array9 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable10 = null;
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("hi!", obj_array9, throwable10);
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException("", obj_array9);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array9);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException15 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str16 = maxIterationsExceededException15.toString();
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException15);
    java.lang.String str18 = maxIterationsExceededException15.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException(359.1342053695754d, "", obj_array9, (java.lang.Throwable)maxIterationsExceededException15);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException21 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str22 = maxIterationsExceededException21.toString();
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException21);
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("", obj_array9, (java.lang.Throwable)maxIterationsExceededException21);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException26 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str27 = maxIterationsExceededException26.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(10.0d, "Evaluation failed for argument = {0}", obj_array9, (java.lang.Throwable)maxIterationsExceededException26);
    int i29 = maxIterationsExceededException26.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str16.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str18.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str22.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str27.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test103"); }


    java.lang.Object[] obj_array2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException3 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test104"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP((-1.0d), 359.1342053695754d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test105"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.0d, (-1.151292546497026d), 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test106"); }


    double d5 = org.apache.commons.math.special.Beta.regularizedBeta((-2.302585092994052d), Double.NaN, (-1.0d), (-1.0d), 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test107"); }


    double d3 = org.apache.commons.math.special.Beta.regularizedBeta(4.424353726751487d, 100.0d, (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test108"); }


    double d4 = org.apache.commons.math.special.Beta.regularizedBeta(1.0d, 0.0d, 4.424353726751487d, (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test109"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.distribution.FDistributionImpl fDistributionImpl2 = new org.apache.commons.math.distribution.FDistributionImpl((-2.302585092994052d), 100.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test110"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i2 = maxIterationsExceededException1.getMaxIterations();
    java.lang.Object[] obj_array3 = maxIterationsExceededException1.getArguments();
    java.lang.Object[] obj_array4 = maxIterationsExceededException1.getArguments();
    java.lang.Throwable throwable5 = null;
    // The following exception was thrown during execution in test generation
    try {
      maxIterationsExceededException1.addSuppressed(throwable5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test111"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.0d, (-2.302585092994052d), 4.424353726751487d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test112"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.distribution.FDistributionImpl fDistributionImpl2 = new org.apache.commons.math.distribution.FDistributionImpl((-1.151292546497026d), (-1.0d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test113"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma((-4.605170185988072d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test114"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-70.94860118480915d));

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test115"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.0d, Double.NaN, 0.0d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test116"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.distribution.FDistributionImpl fDistributionImpl2 = new org.apache.commons.math.distribution.FDistributionImpl(4.424353726751487d, (-241.8972023696183d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test117"); }


    double d2 = org.apache.commons.math.special.Beta.logBeta(0.0d, (-2.302585092994052d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test118"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.solve(univariateRealFunction0, (-70.94860118480915d), Double.NaN, (-4.605170185988072d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test119"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(4.424353726751487d, 0.0d, Double.NaN, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test120"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ((-2.302585092994052d), 0.0d, 1.0d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test121"); }


    double d4 = org.apache.commons.math.special.Beta.regularizedBeta(0.0d, (-241.8972023696183d), (-4.605170185988072d), 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test122"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ((-1.0d), 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test123"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(10.0d, 4.424353726751487d, 359.1342053695754d, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test124"); }


    double d5 = org.apache.commons.math.special.Beta.regularizedBeta(359.1342053695754d, 4.424353726751487d, 359.1342053695754d, 0.0d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test125"); }


    double d5 = org.apache.commons.math.special.Beta.regularizedBeta(0.0d, (-2.302585092994052d), 0.0d, 4.424353726751487d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test126"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.solve(univariateRealFunction0, (-4.605170185988072d), 1.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test127"); }


    java.lang.Object[] obj_array1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException("Evaluation failed for argument = {0}", obj_array1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test128"); }


    double d4 = org.apache.commons.math.special.Beta.regularizedBeta(Double.NaN, 4.424353726751487d, 0.0d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test129"); }


    double d2 = org.apache.commons.math.special.Beta.logBeta((-4.605170185988072d), (-241.8972023696183d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test130"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 4.424353726751487d, 4.424353726751487d, 0.0d, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test131"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.solve(univariateRealFunction0, 100.0d, (-2.302585092994052d), 1.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test132"); }


    java.lang.Object[] obj_array2 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException11 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i12 = maxIterationsExceededException11.getMaxIterations();
    java.lang.Object[] obj_array13 = maxIterationsExceededException11.getArguments();
    java.lang.Object[] obj_array14 = maxIterationsExceededException11.getArguments();
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("hi!", obj_array9, (java.lang.Throwable)maxIterationsExceededException11);
    java.lang.Object[] obj_array18 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable19 = null;
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("hi!", obj_array18, throwable19);
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array9, (java.lang.Throwable)mathException20);
    java.lang.Object[] obj_array24 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable25 = null;
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("hi!", obj_array24, throwable25);
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array9, (java.lang.Throwable)mathException26);
    java.lang.Throwable throwable28 = null;
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array9, throwable28);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array9);
    java.lang.String str31 = mathException30.getPattern();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException((-70.94860118480915d), "org.apache.commons.math.FunctionEvaluationException: Evaluation failed for argument = 10", obj_array2, (java.lang.Throwable)mathException30);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str31.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test133"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.0d, 10.0d, (-1.151292546497026d), 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test134"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ((-1.0d), 0.0d, (-2.302585092994052d), 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test135"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException2 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str3 = maxIterationsExceededException2.toString();
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException2);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-2.302585092994052d), (java.lang.Throwable)mathException4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str3.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test136"); }


    double d2 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.midpoint((-241.8972023696183d), 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-120.44860118480915d));

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test137"); }


    double d4 = org.apache.commons.math.special.Beta.regularizedBeta(359.1342053695754d, (-2.302585092994052d), 10.0d, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test138"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.String str2 = functionEvaluationException1.toString();
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: Evaluation failed for argument = 10"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: Evaluation failed for argument = 10"));

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test139"); }


    double d3 = org.apache.commons.math.special.Beta.regularizedBeta(359.1342053695754d, Double.NaN, (-241.8972023696183d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test140"); }


    double d3 = org.apache.commons.math.special.Beta.regularizedBeta(1.0d, 0.0d, (-4.605170185988072d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test141"); }


    java.lang.Object[] obj_array5 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException7 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i8 = maxIterationsExceededException7.getMaxIterations();
    java.lang.Object[] obj_array9 = maxIterationsExceededException7.getArguments();
    java.lang.Object[] obj_array10 = maxIterationsExceededException7.getArguments();
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("hi!", obj_array5, (java.lang.Throwable)maxIterationsExceededException7);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable15 = null;
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("hi!", obj_array14, throwable15);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array5, (java.lang.Throwable)mathException16);
    java.lang.Object[] obj_array20 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable21 = null;
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException("hi!", obj_array20, throwable21);
    org.apache.commons.math.ConvergenceException convergenceException23 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array5, (java.lang.Throwable)mathException22);
    java.lang.Object[] obj_array30 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException32 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i33 = maxIterationsExceededException32.getMaxIterations();
    java.lang.Object[] obj_array34 = maxIterationsExceededException32.getArguments();
    java.lang.Object[] obj_array35 = maxIterationsExceededException32.getArguments();
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException("hi!", obj_array30, (java.lang.Throwable)maxIterationsExceededException32);
    java.lang.Object[] obj_array39 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable40 = null;
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException("hi!", obj_array39, throwable40);
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array30, (java.lang.Throwable)mathException41);
    java.lang.Object[] obj_array45 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable46 = null;
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException("hi!", obj_array45, throwable46);
    org.apache.commons.math.ConvergenceException convergenceException48 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array30, (java.lang.Throwable)mathException47);
    java.lang.Throwable throwable49 = null;
    org.apache.commons.math.MathException mathException50 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array30, throwable49);
    org.apache.commons.math.MathException mathException51 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array30);
    java.lang.String str52 = mathException51.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException53 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.FunctionEvaluationException: Evaluation failed for argument = 10", obj_array5, (java.lang.Throwable)mathException51);
    java.lang.String str54 = convergenceException53.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str52 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str52.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str54 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: Evaluation failed for argument = 10"+ "'", str54.equals("org.apache.commons.math.FunctionEvaluationException: Evaluation failed for argument = 10"));

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test142"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.solve(univariateRealFunction0, (-2.302585092994052d), 0.0d, (-4.605170185988072d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test143"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.solve(univariateRealFunction0, (-241.8972023696183d), (-120.44860118480915d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test144"); }


    double d2 = org.apache.commons.math.special.Beta.logBeta(100.0d, (-1.151292546497026d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test145"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.bracket(univariateRealFunction0, (-120.44860118480915d), 0.0d, 0.0d, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test146"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str2 = maxIterationsExceededException1.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    maxIterationsExceededException1.addSuppressed((java.lang.Throwable)functionEvaluationException4);
    int i6 = maxIterationsExceededException1.getMaxIterations();
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str2.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test147"); }


    double d2 = org.apache.commons.math.special.Beta.logBeta((-4.605170185988072d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test148"); }


    double d4 = org.apache.commons.math.special.Beta.logBeta(100.0d, 4.424353726751487d, 359.1342053695754d, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-18.1002926075588d));

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test149"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(Double.NaN, (-1.151292546497026d), (-70.94860118480915d), 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test150"); }


    java.lang.Object[] obj_array4 = new java.lang.Object[] { Double.NaN };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException6 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.ConvergenceException convergenceException7 = new org.apache.commons.math.ConvergenceException("", obj_array4, (java.lang.Throwable)maxIterationsExceededException6);
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException("Evaluation failed for argument = {0}", obj_array4);
    java.lang.Object[] obj_array16 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable17 = null;
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("hi!", obj_array16, throwable17);
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException("", obj_array16);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array16);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException21 = new org.apache.commons.math.MaxIterationsExceededException(10, "Maximal number of iterations ({0}) exceeded", obj_array16);
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException();
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array16, (java.lang.Throwable)mathException22);
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("", obj_array4, (java.lang.Throwable)mathException22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test151"); }


    double d4 = org.apache.commons.math.special.Beta.logBeta(4.424353726751487d, (-70.94860118480915d), 100.0d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test152"); }


    double d3 = org.apache.commons.math.special.Beta.regularizedBeta(4.424353726751487d, (-70.94860118480915d), 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test153"); }


    double d2 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.midpoint((-120.44860118480915d), (-18.1002926075588d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-69.27444689618397d));

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test154"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(359.1342053695754d, 1.0d, (-69.27444689618397d), 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test155"); }


    double d4 = org.apache.commons.math.special.Beta.regularizedBeta((-241.8972023696183d), (-1.151292546497026d), (-4.605170185988072d), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test156"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.0d, 359.1342053695754d, 1.0d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test157"); }


    java.lang.Object[] obj_array1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: Evaluation failed for argument = 10", obj_array1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test158"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ((-69.27444689618397d), (-2.302585092994052d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test159"); }


    java.lang.Object[] obj_array8 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException10 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i11 = maxIterationsExceededException10.getMaxIterations();
    java.lang.Object[] obj_array12 = maxIterationsExceededException10.getArguments();
    java.lang.Object[] obj_array13 = maxIterationsExceededException10.getArguments();
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException("hi!", obj_array8, (java.lang.Throwable)maxIterationsExceededException10);
    java.lang.Object[] obj_array17 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable18 = null;
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("hi!", obj_array17, throwable18);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array8, (java.lang.Throwable)mathException19);
    java.lang.Object[] obj_array23 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable24 = null;
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("hi!", obj_array23, throwable24);
    org.apache.commons.math.ConvergenceException convergenceException26 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array8, (java.lang.Throwable)mathException25);
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException();
    java.lang.String str28 = mathException27.getPattern();
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException27);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException("", obj_array8, (java.lang.Throwable)mathException27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(359.1342053695754d);
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException("", obj_array8, (java.lang.Throwable)functionEvaluationException32);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException34 = new org.apache.commons.math.MaxIterationsExceededException(10, "hi!", obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str28);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test160"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.solve(univariateRealFunction0, 1.0d, 1.0d, (-241.8972023696183d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test161"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException1);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException4 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.ConvergenceException convergenceException5 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException4);
    convergenceException2.addSuppressed((java.lang.Throwable)convergenceException5);
    org.apache.commons.math.ConvergenceException convergenceException7 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException5);
    java.lang.String str8 = convergenceException7.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "Maximal number of iterations (0) exceeded"+ "'", str8.equals("Maximal number of iterations (0) exceeded"));

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test162"); }


    double d4 = org.apache.commons.math.special.Beta.regularizedBeta((-18.1002926075588d), 10.0d, (-18.1002926075588d), (-2.302585092994052d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test163"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.0d, 0.0d, (-241.8972023696183d), 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test164"); }


    double d2 = org.apache.commons.math.special.Beta.logBeta(0.0d, (-18.1002926075588d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test165"); }


    double d2 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.midpoint((-1.0d), (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.0d));

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test166"); }


    double d4 = org.apache.commons.math.special.Beta.regularizedBeta((-1.0d), 10.0d, (-70.94860118480915d), (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test167"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException1);
    java.lang.String str3 = functionEvaluationException1.getPattern();
    java.lang.String str4 = functionEvaluationException1.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Evaluation failed for argument = {0}"+ "'", str3.equals("Evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "Evaluation failed for argument = {0}"+ "'", str4.equals("Evaluation failed for argument = {0}"));

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test168"); }


    java.lang.Object[] obj_array4 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException6 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i7 = maxIterationsExceededException6.getMaxIterations();
    java.lang.Object[] obj_array8 = maxIterationsExceededException6.getArguments();
    java.lang.Object[] obj_array9 = maxIterationsExceededException6.getArguments();
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("hi!", obj_array4, (java.lang.Throwable)maxIterationsExceededException6);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException12 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i13 = maxIterationsExceededException12.getMaxIterations();
    java.lang.Object[] obj_array14 = maxIterationsExceededException12.getArguments();
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException(Double.NaN, "Maximal number of iterations ({0}) exceeded", obj_array4, (java.lang.Throwable)maxIterationsExceededException12);
    double d17 = functionEvaluationException16.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d17, Double.NaN, 0);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test169"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.solve(univariateRealFunction0, (-1.151292546497026d), (-70.94860118480915d), (-4.605170185988072d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test170"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 100.0d, (-69.27444689618397d), (-18.1002926075588d), 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test171"); }


    double d3 = org.apache.commons.math.special.Beta.regularizedBeta(4.424353726751487d, (-120.44860118480915d), (-241.8972023696183d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test172"); }


    double d2 = org.apache.commons.math.special.Beta.logBeta(Double.NaN, 4.424353726751487d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test173"); }


    java.lang.Object[] obj_array7 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable8 = null;
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("hi!", obj_array7, throwable8);
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException("", obj_array7);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array7);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException13 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str14 = maxIterationsExceededException13.toString();
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException13);
    java.lang.String str16 = maxIterationsExceededException13.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(359.1342053695754d, "", obj_array7, (java.lang.Throwable)maxIterationsExceededException13);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((-2.302585092994052d), (java.lang.Throwable)functionEvaluationException17);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException17);
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str14.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str16.equals("Maximal number of iterations ({0}) exceeded"));

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test174"); }


    java.lang.Object[] obj_array6 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable7 = null;
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("hi!", obj_array6, throwable7);
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException("", obj_array6);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array6);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException12 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str13 = maxIterationsExceededException12.toString();
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException12);
    java.lang.String str15 = maxIterationsExceededException12.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException(359.1342053695754d, "", obj_array6, (java.lang.Throwable)maxIterationsExceededException12);
    java.lang.String str17 = functionEvaluationException16.getPattern();
    java.lang.Object[] obj_array23 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException25 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i26 = maxIterationsExceededException25.getMaxIterations();
    java.lang.Object[] obj_array27 = maxIterationsExceededException25.getArguments();
    java.lang.Object[] obj_array28 = maxIterationsExceededException25.getArguments();
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("hi!", obj_array23, (java.lang.Throwable)maxIterationsExceededException25);
    java.lang.Object[] obj_array32 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable33 = null;
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException("hi!", obj_array32, throwable33);
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array23, (java.lang.Throwable)mathException34);
    java.lang.Object[] obj_array38 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable39 = null;
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException("hi!", obj_array38, throwable39);
    org.apache.commons.math.ConvergenceException convergenceException41 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array23, (java.lang.Throwable)mathException40);
    java.lang.Throwable throwable42 = null;
    org.apache.commons.math.MathException mathException43 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array23, throwable42);
    // The following exception was thrown during execution in test generation
    try {
      functionEvaluationException16.addSuppressed(throwable42);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str13.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str15.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + ""+ "'", str17.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test175"); }


    java.lang.Object[] obj_array6 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable7 = null;
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("hi!", obj_array6, throwable7);
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException("", obj_array6);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array6);
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException("", obj_array6);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException();
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array6, (java.lang.Throwable)mathException12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test176"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.0d, Double.NaN, Double.NaN);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test177"); }


    java.lang.Object[] obj_array6 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable7 = null;
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("hi!", obj_array6, throwable7);
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException("", obj_array6);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array6);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException12 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str13 = maxIterationsExceededException12.toString();
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException12);
    java.lang.String str15 = maxIterationsExceededException12.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException(359.1342053695754d, "", obj_array6, (java.lang.Throwable)maxIterationsExceededException12);
    java.lang.String str17 = functionEvaluationException16.getPattern();
    java.lang.String str18 = functionEvaluationException16.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str13.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str15.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + ""+ "'", str17.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + ""+ "'", str18.equals(""));

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test178"); }


    double d2 = org.apache.commons.math.special.Beta.logBeta((-18.1002926075588d), 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test179"); }


    java.lang.Object[] obj_array6 = new java.lang.Object[] { Double.NaN };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException8 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException("", obj_array6, (java.lang.Throwable)maxIterationsExceededException8);
    java.lang.Object[] obj_array10 = maxIterationsExceededException8.getArguments();
    java.lang.Object[] obj_array14 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException16 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i17 = maxIterationsExceededException16.getMaxIterations();
    java.lang.Object[] obj_array18 = maxIterationsExceededException16.getArguments();
    java.lang.Object[] obj_array19 = maxIterationsExceededException16.getArguments();
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("hi!", obj_array14, (java.lang.Throwable)maxIterationsExceededException16);
    java.lang.Object[] obj_array23 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable24 = null;
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("hi!", obj_array23, throwable24);
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array14, (java.lang.Throwable)mathException25);
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("", obj_array10, (java.lang.Throwable)mathException25);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("", obj_array10);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(100.0d, "Evaluation failed for argument = {0}", obj_array10);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test180"); }


    double d4 = org.apache.commons.math.special.Beta.regularizedBeta(0.0d, (-241.8972023696183d), 100.0d, 4.424353726751487d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test181"); }


    double d3 = org.apache.commons.math.special.Beta.regularizedBeta((-1.0d), (-70.94860118480915d), (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test182"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(100);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test183"); }


    double d4 = org.apache.commons.math.special.Beta.regularizedBeta((-70.94860118480915d), 359.1342053695754d, (-120.44860118480915d), (-241.8972023696183d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test184"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.bracket(univariateRealFunction0, (-4.605170185988072d), 0.0d, (-70.94860118480915d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test185"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ((-2.302585092994052d), 0.0d, (-4.605170185988072d), 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test186"); }


    double d4 = org.apache.commons.math.special.Beta.regularizedBeta(359.1342053695754d, 10.0d, 4.424353726751487d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test187"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(Double.NaN, 4.424353726751487d, 1.0d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test188"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.ConvergenceException convergenceException1 = new org.apache.commons.math.ConvergenceException(throwable0);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test189"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(Double.NaN);
    double d2 = functionEvaluationException1.getArgument();
    double d3 = functionEvaluationException1.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test190"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.bracket(univariateRealFunction0, (-69.27444689618397d), (-69.27444689618397d), 10.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test191"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.0d, 10.0d, Double.NaN, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test192"); }


    double d2 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.midpoint(4.424353726751487d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.2121768633757437d);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test193"); }


    java.lang.Object[] obj_array5 = new java.lang.Object[] { Double.NaN };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException7 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException("", obj_array5, (java.lang.Throwable)maxIterationsExceededException7);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException(Double.NaN, "hi!", obj_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException11);
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException("hi!", obj_array5, (java.lang.Throwable)functionEvaluationException11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test194"); }


    double d5 = org.apache.commons.math.special.Beta.regularizedBeta(100.0d, 0.0d, 0.0d, 100.0d, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test195"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ((-4.605170185988072d), 4.424353726751487d, (-1.151292546497026d), (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test196"); }


    double d3 = org.apache.commons.math.special.Beta.regularizedBeta(0.0d, 0.0d, 4.424353726751487d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test197"); }


    java.lang.Object[] obj_array4 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException6 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i7 = maxIterationsExceededException6.getMaxIterations();
    java.lang.Object[] obj_array8 = maxIterationsExceededException6.getArguments();
    java.lang.Object[] obj_array9 = maxIterationsExceededException6.getArguments();
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("hi!", obj_array4, (java.lang.Throwable)maxIterationsExceededException6);
    java.lang.Object[] obj_array13 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable14 = null;
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("hi!", obj_array13, throwable14);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array4, (java.lang.Throwable)mathException15);
    java.lang.Object[] obj_array23 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable24 = null;
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("hi!", obj_array23, throwable24);
    org.apache.commons.math.ConvergenceException convergenceException26 = new org.apache.commons.math.ConvergenceException("", obj_array23);
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.FunctionEvaluationException: Evaluation failed for argument = 10", obj_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(100.0d, "org.apache.commons.math.FunctionEvaluationException: Evaluation failed for argument = 10", obj_array23);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: Maximal number of iterations (0) exceeded", obj_array4, (java.lang.Throwable)functionEvaluationException28);
    java.lang.String str30 = convergenceException29.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: Maximal number of iterations (0) exceeded"+ "'", str30.equals("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: Maximal number of iterations (0) exceeded"));

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test198"); }


    java.lang.Object[] obj_array2 = null;
    java.lang.Object[] obj_array6 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException8 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i9 = maxIterationsExceededException8.getMaxIterations();
    java.lang.Object[] obj_array10 = maxIterationsExceededException8.getArguments();
    java.lang.Object[] obj_array11 = maxIterationsExceededException8.getArguments();
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("hi!", obj_array6, (java.lang.Throwable)maxIterationsExceededException8);
    java.lang.Object[] obj_array15 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable16 = null;
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("hi!", obj_array15, throwable16);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array6, (java.lang.Throwable)mathException17);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((-69.27444689618397d), "", obj_array2, (java.lang.Throwable)mathException17);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test199"); }


    java.lang.Object[] obj_array6 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException8 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i9 = maxIterationsExceededException8.getMaxIterations();
    java.lang.Object[] obj_array10 = maxIterationsExceededException8.getArguments();
    java.lang.Object[] obj_array11 = maxIterationsExceededException8.getArguments();
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("hi!", obj_array6, (java.lang.Throwable)maxIterationsExceededException8);
    java.lang.Object[] obj_array15 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable16 = null;
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("hi!", obj_array15, throwable16);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array6, (java.lang.Throwable)mathException17);
    java.lang.Object[] obj_array21 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable22 = null;
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException("hi!", obj_array21, throwable22);
    org.apache.commons.math.ConvergenceException convergenceException24 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array6, (java.lang.Throwable)mathException23);
    java.lang.Object[] obj_array31 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException33 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i34 = maxIterationsExceededException33.getMaxIterations();
    java.lang.Object[] obj_array35 = maxIterationsExceededException33.getArguments();
    java.lang.Object[] obj_array36 = maxIterationsExceededException33.getArguments();
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException("hi!", obj_array31, (java.lang.Throwable)maxIterationsExceededException33);
    java.lang.Object[] obj_array40 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable41 = null;
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException("hi!", obj_array40, throwable41);
    org.apache.commons.math.MathException mathException43 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array31, (java.lang.Throwable)mathException42);
    java.lang.Object[] obj_array46 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable47 = null;
    org.apache.commons.math.MathException mathException48 = new org.apache.commons.math.MathException("hi!", obj_array46, throwable47);
    org.apache.commons.math.ConvergenceException convergenceException49 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array31, (java.lang.Throwable)mathException48);
    java.lang.Throwable throwable50 = null;
    org.apache.commons.math.MathException mathException51 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array31, throwable50);
    org.apache.commons.math.MathException mathException52 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array31);
    java.lang.String str53 = mathException52.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException54 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.FunctionEvaluationException: Evaluation failed for argument = 10", obj_array6, (java.lang.Throwable)mathException52);
    org.apache.commons.math.MathException mathException55 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str53 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str53.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test200"); }


    java.lang.Object[] obj_array6 = new java.lang.Object[] { Double.NaN };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException8 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException("", obj_array6, (java.lang.Throwable)maxIterationsExceededException8);
    java.lang.Throwable[] throwable_array10 = convergenceException9.getSuppressed();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException15 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i16 = maxIterationsExceededException15.getMaxIterations();
    java.lang.Object[] obj_array17 = maxIterationsExceededException15.getArguments();
    java.lang.Object[] obj_array18 = maxIterationsExceededException15.getArguments();
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("hi!", obj_array18);
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException();
    java.lang.String str22 = mathException21.getPattern();
    java.lang.Object[] obj_array23 = new java.lang.Object[] { str22 };
    java.lang.Object[] obj_array28 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException30 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i31 = maxIterationsExceededException30.getMaxIterations();
    java.lang.Object[] obj_array32 = maxIterationsExceededException30.getArguments();
    java.lang.Object[] obj_array33 = maxIterationsExceededException30.getArguments();
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException("hi!", obj_array28, (java.lang.Throwable)maxIterationsExceededException30);
    java.lang.Object[] obj_array37 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable38 = null;
    org.apache.commons.math.MathException mathException39 = new org.apache.commons.math.MathException("hi!", obj_array37, throwable38);
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array28, (java.lang.Throwable)mathException39);
    java.lang.Object[] obj_array43 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable44 = null;
    org.apache.commons.math.MathException mathException45 = new org.apache.commons.math.MathException("hi!", obj_array43, throwable44);
    org.apache.commons.math.ConvergenceException convergenceException46 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array28, (java.lang.Throwable)mathException45);
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException("", obj_array23, (java.lang.Throwable)convergenceException46);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException(0.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array18, (java.lang.Throwable)mathException47);
    org.apache.commons.math.MathException mathException49 = new org.apache.commons.math.MathException("", (java.lang.Object[])throwable_array10, (java.lang.Throwable)functionEvaluationException48);
    java.lang.Object[] obj_array53 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException55 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i56 = maxIterationsExceededException55.getMaxIterations();
    java.lang.Object[] obj_array57 = maxIterationsExceededException55.getArguments();
    java.lang.Object[] obj_array58 = maxIterationsExceededException55.getArguments();
    org.apache.commons.math.MathException mathException59 = new org.apache.commons.math.MathException("hi!", obj_array53, (java.lang.Throwable)maxIterationsExceededException55);
    java.lang.Object[] obj_array63 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException65 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i66 = maxIterationsExceededException65.getMaxIterations();
    java.lang.Object[] obj_array67 = maxIterationsExceededException65.getArguments();
    java.lang.Object[] obj_array68 = maxIterationsExceededException65.getArguments();
    org.apache.commons.math.MathException mathException69 = new org.apache.commons.math.MathException("hi!", obj_array63, (java.lang.Throwable)maxIterationsExceededException65);
    java.lang.Object[] obj_array72 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable73 = null;
    org.apache.commons.math.MathException mathException74 = new org.apache.commons.math.MathException("hi!", obj_array72, throwable73);
    org.apache.commons.math.MathException mathException75 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array63, (java.lang.Throwable)mathException74);
    java.lang.Object[] obj_array76 = mathException74.getArguments();
    org.apache.commons.math.MathException mathException77 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array53, (java.lang.Throwable)mathException74);
    org.apache.commons.math.MathException mathException78 = new org.apache.commons.math.MathException("Evaluation failed for argument = {0}", (java.lang.Object[])throwable_array10, (java.lang.Throwable)mathException74);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException79 = new org.apache.commons.math.MaxIterationsExceededException((-1), "hi!", (java.lang.Object[])throwable_array10);
    java.lang.Throwable[] throwable_array80 = maxIterationsExceededException79.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i56 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i66 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array80);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test201"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(4.424353726751487d, (-1.0d), 4.424353726751487d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test202"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(4.424353726751487d, 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.016548811916448882d);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test203"); }


    java.lang.Object[] obj_array5 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException7 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i8 = maxIterationsExceededException7.getMaxIterations();
    java.lang.Object[] obj_array9 = maxIterationsExceededException7.getArguments();
    java.lang.Object[] obj_array10 = maxIterationsExceededException7.getArguments();
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("hi!", obj_array5, (java.lang.Throwable)maxIterationsExceededException7);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable15 = null;
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("hi!", obj_array14, throwable15);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array5, (java.lang.Throwable)mathException16);
    java.lang.Object[] obj_array20 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable21 = null;
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException("hi!", obj_array20, throwable21);
    org.apache.commons.math.ConvergenceException convergenceException23 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array5, (java.lang.Throwable)mathException22);
    java.lang.Object[] obj_array30 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException32 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i33 = maxIterationsExceededException32.getMaxIterations();
    java.lang.Object[] obj_array34 = maxIterationsExceededException32.getArguments();
    java.lang.Object[] obj_array35 = maxIterationsExceededException32.getArguments();
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException("hi!", obj_array30, (java.lang.Throwable)maxIterationsExceededException32);
    java.lang.Object[] obj_array39 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable40 = null;
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException("hi!", obj_array39, throwable40);
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array30, (java.lang.Throwable)mathException41);
    java.lang.Object[] obj_array45 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable46 = null;
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException("hi!", obj_array45, throwable46);
    org.apache.commons.math.ConvergenceException convergenceException48 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array30, (java.lang.Throwable)mathException47);
    java.lang.Throwable throwable49 = null;
    org.apache.commons.math.MathException mathException50 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array30, throwable49);
    org.apache.commons.math.MathException mathException51 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array30);
    java.lang.String str52 = mathException51.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException53 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.FunctionEvaluationException: Evaluation failed for argument = 10", obj_array5, (java.lang.Throwable)mathException51);
    org.apache.commons.math.MathException mathException54 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str52 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str52.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test204"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ((-18.1002926075588d), 359.1342053695754d, 10.0d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test205"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.solve(univariateRealFunction0, (-1.0d), (-4.605170185988072d), 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test206"); }


    double d3 = org.apache.commons.math.special.Beta.regularizedBeta(4.424353726751487d, 2.2121768633757437d, 4.424353726751487d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test207"); }


    double d2 = org.apache.commons.math.special.Beta.logBeta(0.0d, 359.1342053695754d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test208"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 4.424353726751487d, 0.016548811916448882d, (-120.44860118480915d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test209"); }


    java.lang.Object[] obj_array7 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable8 = null;
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("hi!", obj_array7, throwable8);
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException("", obj_array7);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array7);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException13 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str14 = maxIterationsExceededException13.toString();
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException13);
    java.lang.String str16 = maxIterationsExceededException13.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(359.1342053695754d, "", obj_array7, (java.lang.Throwable)maxIterationsExceededException13);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((-2.302585092994052d), (java.lang.Throwable)functionEvaluationException17);
    java.lang.String str20 = functionEvaluationException19.toString();
    java.lang.Throwable[] throwable_array21 = functionEvaluationException19.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str14.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str16.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: "+ "'", str20.equals("org.apache.commons.math.FunctionEvaluationException: "));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array21);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test210"); }


    double d4 = org.apache.commons.math.special.Beta.logBeta(0.0d, (-18.1002926075588d), (-120.44860118480915d), (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test211"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.0d, 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test212"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.solve(univariateRealFunction0, 10.0d, (-241.8972023696183d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test213"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.distribution.FDistributionImpl fDistributionImpl2 = new org.apache.commons.math.distribution.FDistributionImpl(0.0d, 359.1342053695754d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test214"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP((-18.1002926075588d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test215"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.solve(univariateRealFunction0, 4.424353726751487d, (-1.0d), (-1.151292546497026d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test216"); }


    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-120.44860118480915d));
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.ConvergenceException convergenceException4 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: Maximal number of iterations (0) exceeded", obj_array1, (java.lang.Throwable)functionEvaluationException3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test217"); }


    double d2 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.midpoint((-69.27444689618397d), (-69.27444689618397d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-69.27444689618397d));

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test218"); }


    double d4 = org.apache.commons.math.special.Beta.regularizedBeta(10.0d, (-70.94860118480915d), (-120.44860118480915d), 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test219"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.solve(univariateRealFunction0, (-2.302585092994052d), 1.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test220"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP((-18.1002926075588d), (-241.8972023696183d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test221"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-69.27444689618397d));

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test222"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.016548811916448882d, 359.1342053695754d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.3766765505351941E-14d));

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test223"); }


    double d4 = org.apache.commons.math.special.Beta.logBeta(10.0d, 0.016548811916448882d, (-4.605170185988072d), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 4.054833958977294d);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test224"); }


    org.apache.commons.math.MathException mathException0 = new org.apache.commons.math.MathException();
    java.lang.String str1 = mathException0.getPattern();
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException0);
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str1);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test225"); }


    java.lang.Object[] obj_array5 = new java.lang.Object[] { Double.NaN };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException7 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException("", obj_array5, (java.lang.Throwable)maxIterationsExceededException7);
    java.lang.Throwable[] throwable_array9 = convergenceException8.getSuppressed();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException14 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i15 = maxIterationsExceededException14.getMaxIterations();
    java.lang.Object[] obj_array16 = maxIterationsExceededException14.getArguments();
    java.lang.Object[] obj_array17 = maxIterationsExceededException14.getArguments();
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("hi!", obj_array17);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException();
    java.lang.String str21 = mathException20.getPattern();
    java.lang.Object[] obj_array22 = new java.lang.Object[] { str21 };
    java.lang.Object[] obj_array27 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException29 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i30 = maxIterationsExceededException29.getMaxIterations();
    java.lang.Object[] obj_array31 = maxIterationsExceededException29.getArguments();
    java.lang.Object[] obj_array32 = maxIterationsExceededException29.getArguments();
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException("hi!", obj_array27, (java.lang.Throwable)maxIterationsExceededException29);
    java.lang.Object[] obj_array36 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable37 = null;
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException("hi!", obj_array36, throwable37);
    org.apache.commons.math.MathException mathException39 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array27, (java.lang.Throwable)mathException38);
    java.lang.Object[] obj_array42 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable43 = null;
    org.apache.commons.math.MathException mathException44 = new org.apache.commons.math.MathException("hi!", obj_array42, throwable43);
    org.apache.commons.math.ConvergenceException convergenceException45 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array27, (java.lang.Throwable)mathException44);
    org.apache.commons.math.MathException mathException46 = new org.apache.commons.math.MathException("", obj_array22, (java.lang.Throwable)convergenceException45);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException(0.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array17, (java.lang.Throwable)mathException46);
    org.apache.commons.math.MathException mathException48 = new org.apache.commons.math.MathException("", (java.lang.Object[])throwable_array9, (java.lang.Throwable)functionEvaluationException47);
    java.lang.Object[] obj_array54 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException56 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i57 = maxIterationsExceededException56.getMaxIterations();
    java.lang.Object[] obj_array58 = maxIterationsExceededException56.getArguments();
    java.lang.Object[] obj_array59 = maxIterationsExceededException56.getArguments();
    org.apache.commons.math.MathException mathException60 = new org.apache.commons.math.MathException("hi!", obj_array54, (java.lang.Throwable)maxIterationsExceededException56);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException62 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i63 = maxIterationsExceededException62.getMaxIterations();
    java.lang.Object[] obj_array64 = maxIterationsExceededException62.getArguments();
    org.apache.commons.math.MathException mathException65 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException62);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException(Double.NaN, "Maximal number of iterations ({0}) exceeded", obj_array54, (java.lang.Throwable)maxIterationsExceededException62);
    org.apache.commons.math.ConvergenceException convergenceException67 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException62);
    int i68 = maxIterationsExceededException62.getMaxIterations();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException69 = new org.apache.commons.math.FunctionEvaluationException((-69.27444689618397d), (java.lang.Throwable)maxIterationsExceededException62);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException70 = new org.apache.commons.math.FunctionEvaluationException(0.0d, "org.apache.commons.math.FunctionEvaluationException: Evaluation failed for argument = 10", (java.lang.Object[])throwable_array9, (java.lang.Throwable)functionEvaluationException69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i57 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i63 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i68 == 0);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test226"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Beta.regularizedBeta(0.0d, 359.1342053695754d, 1.0d, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test227"); }


    double d4 = org.apache.commons.math.special.Beta.regularizedBeta(0.0d, (-2.302585092994052d), 4.054833958977294d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test228"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.solve(univariateRealFunction0, (-241.8972023696183d), 1.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test229"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.bracket(univariateRealFunction0, (-120.44860118480915d), (-1.3766765505351941E-14d), 0.0d, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test230"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.distribution.FDistributionImpl fDistributionImpl2 = new org.apache.commons.math.distribution.FDistributionImpl((-1.3766765505351941E-14d), (-18.1002926075588d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test231"); }


    java.lang.Object[] obj_array5 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException7 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i8 = maxIterationsExceededException7.getMaxIterations();
    java.lang.Object[] obj_array9 = maxIterationsExceededException7.getArguments();
    java.lang.Object[] obj_array10 = maxIterationsExceededException7.getArguments();
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("hi!", obj_array5, (java.lang.Throwable)maxIterationsExceededException7);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException13 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i14 = maxIterationsExceededException13.getMaxIterations();
    java.lang.Object[] obj_array15 = maxIterationsExceededException13.getArguments();
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException13);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(Double.NaN, "Maximal number of iterations ({0}) exceeded", obj_array5, (java.lang.Throwable)maxIterationsExceededException13);
    java.lang.Object[] obj_array20 = new java.lang.Object[] { Double.NaN };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException22 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.ConvergenceException convergenceException23 = new org.apache.commons.math.ConvergenceException("", obj_array20, (java.lang.Throwable)maxIterationsExceededException22);
    java.lang.Object[] obj_array24 = maxIterationsExceededException22.getArguments();
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array5, (java.lang.Throwable)maxIterationsExceededException22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test232"); }


    java.lang.Object[] obj_array10 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable11 = null;
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("hi!", obj_array10, throwable11);
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException("", obj_array10);
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array10);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException15 = new org.apache.commons.math.MaxIterationsExceededException(10, "Maximal number of iterations ({0}) exceeded", obj_array10);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException();
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array10, (java.lang.Throwable)mathException16);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException18 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.FunctionEvaluationException: Evaluation failed for argument = 10", obj_array10);
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException("hi!", obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test233"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.0d, 0.0d, 2.2121768633757437d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test234"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.distribution.FDistributionImpl fDistributionImpl2 = new org.apache.commons.math.distribution.FDistributionImpl((-120.44860118480915d), 359.1342053695754d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test235"); }


    org.apache.commons.math.distribution.FDistributionImpl fDistributionImpl2 = new org.apache.commons.math.distribution.FDistributionImpl(4.424353726751487d, 2.2121768633757437d);
    // The following exception was thrown during execution in test generation
    try {
      fDistributionImpl2.setDenominatorDegreesOfFreedom((-18.1002926075588d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test236"); }


    org.apache.commons.math.distribution.FDistributionImpl fDistributionImpl2 = new org.apache.commons.math.distribution.FDistributionImpl(4.424353726751487d, 2.2121768633757437d);
    // The following exception was thrown during execution in test generation
    try {
      double d4 = fDistributionImpl2.inverseCumulativeProbability(359.1342053695754d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test237"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.bracket(univariateRealFunction0, (-2.302585092994052d), (-1.0d), (-120.44860118480915d), 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test238"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(4.424353726751487d, (-18.1002926075588d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test239"); }


    java.lang.Object[] obj_array4 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException6 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i7 = maxIterationsExceededException6.getMaxIterations();
    java.lang.Object[] obj_array8 = maxIterationsExceededException6.getArguments();
    java.lang.Object[] obj_array9 = maxIterationsExceededException6.getArguments();
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("hi!", obj_array4, (java.lang.Throwable)maxIterationsExceededException6);
    java.lang.Object[] obj_array13 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable14 = null;
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("hi!", obj_array13, throwable14);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array4, (java.lang.Throwable)mathException15);
    java.lang.Object[] obj_array26 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable27 = null;
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException("hi!", obj_array26, throwable27);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException("", obj_array26);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array26);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException32 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str33 = maxIterationsExceededException32.toString();
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException32);
    java.lang.String str35 = maxIterationsExceededException32.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException(359.1342053695754d, "", obj_array26, (java.lang.Throwable)maxIterationsExceededException32);
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: Evaluation failed for argument = 10", obj_array26);
    java.lang.Object[] obj_array43 = new java.lang.Object[] { Double.NaN };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException45 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.ConvergenceException convergenceException46 = new org.apache.commons.math.ConvergenceException("", obj_array43, (java.lang.Throwable)maxIterationsExceededException45);
    java.lang.Object[] obj_array47 = maxIterationsExceededException45.getArguments();
    java.lang.Object[] obj_array51 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException53 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i54 = maxIterationsExceededException53.getMaxIterations();
    java.lang.Object[] obj_array55 = maxIterationsExceededException53.getArguments();
    java.lang.Object[] obj_array56 = maxIterationsExceededException53.getArguments();
    org.apache.commons.math.MathException mathException57 = new org.apache.commons.math.MathException("hi!", obj_array51, (java.lang.Throwable)maxIterationsExceededException53);
    java.lang.Object[] obj_array60 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable61 = null;
    org.apache.commons.math.MathException mathException62 = new org.apache.commons.math.MathException("hi!", obj_array60, throwable61);
    org.apache.commons.math.MathException mathException63 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array51, (java.lang.Throwable)mathException62);
    org.apache.commons.math.MathException mathException64 = new org.apache.commons.math.MathException("", obj_array47, (java.lang.Throwable)mathException62);
    org.apache.commons.math.MathException mathException65 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException62);
    java.lang.Throwable[] throwable_array66 = mathException62.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException(Double.NaN, "", (java.lang.Object[])throwable_array66);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException68 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "Maximal number of iterations ({0}) exceeded", obj_array26, (java.lang.Throwable)functionEvaluationException67);
    org.apache.commons.math.MathException mathException69 = new org.apache.commons.math.MathException("Evaluation failed for argument = {0}", obj_array4, (java.lang.Throwable)functionEvaluationException68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str33.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str35.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i54 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array66);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test240"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException1);
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException2);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test241"); }


    java.lang.Object[] obj_array3 = new java.lang.Object[] { Double.NaN };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException5 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.ConvergenceException convergenceException6 = new org.apache.commons.math.ConvergenceException("", obj_array3, (java.lang.Throwable)maxIterationsExceededException5);
    java.lang.Object[] obj_array7 = maxIterationsExceededException5.getArguments();
    int i8 = maxIterationsExceededException5.getMaxIterations();
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((-70.94860118480915d), (java.lang.Throwable)maxIterationsExceededException5);
    int i11 = maxIterationsExceededException5.getMaxIterations();
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException5);
    java.lang.Object[] obj_array17 = new java.lang.Object[] { Double.NaN };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException19 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException("", obj_array17, (java.lang.Throwable)maxIterationsExceededException19);
    java.lang.Object[] obj_array21 = maxIterationsExceededException19.getArguments();
    java.lang.Object[] obj_array25 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException27 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i28 = maxIterationsExceededException27.getMaxIterations();
    java.lang.Object[] obj_array29 = maxIterationsExceededException27.getArguments();
    java.lang.Object[] obj_array30 = maxIterationsExceededException27.getArguments();
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException("hi!", obj_array25, (java.lang.Throwable)maxIterationsExceededException27);
    java.lang.Object[] obj_array34 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable35 = null;
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException("hi!", obj_array34, throwable35);
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array25, (java.lang.Throwable)mathException36);
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException("", obj_array21, (java.lang.Throwable)mathException36);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException(0.0d, (java.lang.Throwable)mathException38);
    double d40 = functionEvaluationException39.getArgument();
    mathException12.addSuppressed((java.lang.Throwable)functionEvaluationException39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.0d);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test242"); }


    double d4 = org.apache.commons.math.special.Beta.logBeta((-4.605170185988072d), 4.054833958977294d, (-2.302585092994052d), 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test243"); }


    org.apache.commons.math.distribution.FDistributionImpl fDistributionImpl2 = new org.apache.commons.math.distribution.FDistributionImpl(4.424353726751487d, 2.2121768633757437d);
    // The following exception was thrown during execution in test generation
    try {
      double d5 = fDistributionImpl2.cumulativeProbability(100.0d, (-69.27444689618397d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test244"); }


    double d2 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.midpoint((-18.1002926075588d), (-18.1002926075588d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-18.1002926075588d));

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test245"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.0d, 1.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test246"); }


    java.lang.Object[] obj_array8 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable9 = null;
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("hi!", obj_array8, throwable9);
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException("", obj_array8);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array8);
    java.lang.Throwable throwable13 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(0.0d, "", obj_array8, throwable13);
    java.lang.Object[] obj_array20 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException22 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i23 = maxIterationsExceededException22.getMaxIterations();
    java.lang.Object[] obj_array24 = maxIterationsExceededException22.getArguments();
    java.lang.Object[] obj_array25 = maxIterationsExceededException22.getArguments();
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("hi!", obj_array20, (java.lang.Throwable)maxIterationsExceededException22);
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("", obj_array20);
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array20);
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array20);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(100.0d, "", obj_array8, (java.lang.Throwable)mathException29);
    java.lang.String str31 = mathException29.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "org.apache.commons.math.MathException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str31.equals("org.apache.commons.math.MathException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test247"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.016548811916448882d, 100.0d, 0.8248778838679155d, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test248"); }


    double d5 = org.apache.commons.math.special.Beta.regularizedBeta(100.0d, 10.0d, 1.0d, 0.38693924833576954d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test249"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(4.054833958977294d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.8610618854708538d);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test250"); }


    double d4 = org.apache.commons.math.special.Beta.logBeta(4.054833958977294d, 0.0d, (-1.3766765505351941E-14d), (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test251"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(359.1342053695754d, 0.016548811916448882d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test252"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(2.2121768633757437d, (-120.44860118480915d), (-69.27444689618397d), 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test253"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(1.8610618854708538d, (-70.94860118480915d), 10.0d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test254"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException1);
    java.lang.String str3 = convergenceException2.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Evaluation failed for argument = 10"+ "'", str3.equals("Evaluation failed for argument = 10"));

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test255"); }


    java.lang.Object[] obj_array2 = new java.lang.Object[] { Double.NaN };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException4 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.ConvergenceException convergenceException5 = new org.apache.commons.math.ConvergenceException("", obj_array2, (java.lang.Throwable)maxIterationsExceededException4);
    java.lang.Object[] obj_array6 = maxIterationsExceededException4.getArguments();
    int i7 = maxIterationsExceededException4.getMaxIterations();
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException4);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException8);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException16 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i17 = maxIterationsExceededException16.getMaxIterations();
    java.lang.Object[] obj_array18 = maxIterationsExceededException16.getArguments();
    java.lang.Object[] obj_array19 = maxIterationsExceededException16.getArguments();
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("hi!", obj_array14, (java.lang.Throwable)maxIterationsExceededException16);
    java.lang.Object[] obj_array23 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable24 = null;
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("hi!", obj_array23, throwable24);
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array14, (java.lang.Throwable)mathException25);
    java.lang.Object[] obj_array29 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable30 = null;
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException("hi!", obj_array29, throwable30);
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array14, (java.lang.Throwable)mathException31);
    mathException9.addSuppressed((java.lang.Throwable)convergenceException32);
    java.lang.String str34 = mathException9.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "org.apache.commons.math.MathException: Maximal number of iterations (0) exceeded"+ "'", str34.equals("org.apache.commons.math.MathException: Maximal number of iterations (0) exceeded"));

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test256"); }


    java.lang.Object[] obj_array6 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable7 = null;
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("hi!", obj_array6, throwable7);
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException("", obj_array6);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array6);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException11 = new org.apache.commons.math.MaxIterationsExceededException(10, "Maximal number of iterations ({0}) exceeded", obj_array6);
    int i12 = maxIterationsExceededException11.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 10);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test257"); }


    double d3 = org.apache.commons.math.special.Beta.regularizedBeta((-241.8972023696183d), 4.424353726751487d, 359.1342053695754d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test258"); }


    java.lang.Object[] obj_array8 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable9 = null;
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("hi!", obj_array8, throwable9);
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException("", obj_array8);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array8);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException14 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str15 = maxIterationsExceededException14.toString();
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException14);
    java.lang.String str17 = maxIterationsExceededException14.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException(359.1342053695754d, "", obj_array8, (java.lang.Throwable)maxIterationsExceededException14);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException20 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str21 = maxIterationsExceededException20.toString();
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException20);
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException("", obj_array8, (java.lang.Throwable)maxIterationsExceededException20);
    java.lang.Object[] obj_array35 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable36 = null;
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException("hi!", obj_array35, throwable36);
    org.apache.commons.math.ConvergenceException convergenceException38 = new org.apache.commons.math.ConvergenceException("", obj_array35);
    org.apache.commons.math.MathException mathException39 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array35);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException41 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str42 = maxIterationsExceededException41.toString();
    org.apache.commons.math.MathException mathException43 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException41);
    java.lang.String str44 = maxIterationsExceededException41.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException(359.1342053695754d, "", obj_array35, (java.lang.Throwable)maxIterationsExceededException41);
    org.apache.commons.math.MathException mathException46 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: Evaluation failed for argument = 10", obj_array35);
    java.lang.Object[] obj_array52 = new java.lang.Object[] { Double.NaN };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException54 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.ConvergenceException convergenceException55 = new org.apache.commons.math.ConvergenceException("", obj_array52, (java.lang.Throwable)maxIterationsExceededException54);
    java.lang.Object[] obj_array56 = maxIterationsExceededException54.getArguments();
    java.lang.Object[] obj_array60 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException62 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i63 = maxIterationsExceededException62.getMaxIterations();
    java.lang.Object[] obj_array64 = maxIterationsExceededException62.getArguments();
    java.lang.Object[] obj_array65 = maxIterationsExceededException62.getArguments();
    org.apache.commons.math.MathException mathException66 = new org.apache.commons.math.MathException("hi!", obj_array60, (java.lang.Throwable)maxIterationsExceededException62);
    java.lang.Object[] obj_array69 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable70 = null;
    org.apache.commons.math.MathException mathException71 = new org.apache.commons.math.MathException("hi!", obj_array69, throwable70);
    org.apache.commons.math.MathException mathException72 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array60, (java.lang.Throwable)mathException71);
    org.apache.commons.math.MathException mathException73 = new org.apache.commons.math.MathException("", obj_array56, (java.lang.Throwable)mathException71);
    org.apache.commons.math.MathException mathException74 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException71);
    java.lang.Throwable[] throwable_array75 = mathException71.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException76 = new org.apache.commons.math.FunctionEvaluationException(Double.NaN, "", (java.lang.Object[])throwable_array75);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException77 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "Maximal number of iterations ({0}) exceeded", obj_array35, (java.lang.Throwable)functionEvaluationException76);
    org.apache.commons.math.ConvergenceException convergenceException78 = new org.apache.commons.math.ConvergenceException();
    java.lang.String str79 = convergenceException78.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException80 = new org.apache.commons.math.FunctionEvaluationException((-69.27444689618397d), "Maximal number of iterations ({0}) exceeded", obj_array35, (java.lang.Throwable)convergenceException78);
    org.apache.commons.math.MathException mathException81 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: Convergence failed", obj_array8, (java.lang.Throwable)functionEvaluationException80);
    double d82 = functionEvaluationException80.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str15.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str17.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str21.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str42.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str44 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str44.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i63 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str79 + "' != '" + "org.apache.commons.math.ConvergenceException: Convergence failed"+ "'", str79.equals("org.apache.commons.math.ConvergenceException: Convergence failed"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d82 == (-69.27444689618397d));

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test259"); }


    double d2 = org.apache.commons.math.special.Beta.logBeta(100.0d, 0.38693924833576954d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.9499703443181602d));

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test260"); }


    double d5 = org.apache.commons.math.special.Beta.regularizedBeta(1.0d, (-4.605170185988072d), (-69.27444689618397d), 0.0d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test261"); }


    java.lang.Object[] obj_array1 = null;
    java.lang.Throwable throwable2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.ConvergenceException convergenceException3 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.FunctionEvaluationException: ", obj_array1, throwable2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test262"); }


    double d5 = org.apache.commons.math.special.Beta.regularizedBeta(1.8610618854708538d, 2.2121768633757437d, Double.NaN, 2.2121768633757437d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test263"); }


    double d3 = org.apache.commons.math.special.Beta.regularizedBeta(0.016548811916448882d, 100.0d, (-4.605170185988072d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test264"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.0d, (-18.1002926075588d), (-120.44860118480915d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test265"); }


    java.lang.Object[] obj_array5 = new java.lang.Object[] { Double.NaN };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException7 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException("", obj_array5, (java.lang.Throwable)maxIterationsExceededException7);
    java.lang.Object[] obj_array9 = maxIterationsExceededException7.getArguments();
    java.lang.Object[] obj_array13 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException15 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i16 = maxIterationsExceededException15.getMaxIterations();
    java.lang.Object[] obj_array17 = maxIterationsExceededException15.getArguments();
    java.lang.Object[] obj_array18 = maxIterationsExceededException15.getArguments();
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("hi!", obj_array13, (java.lang.Throwable)maxIterationsExceededException15);
    java.lang.Object[] obj_array22 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable23 = null;
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("hi!", obj_array22, throwable23);
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array13, (java.lang.Throwable)mathException24);
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("", obj_array9, (java.lang.Throwable)mathException24);
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException24);
    java.lang.Throwable[] throwable_array28 = mathException24.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(Double.NaN, "", (java.lang.Object[])throwable_array28);
    double d30 = functionEvaluationException29.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d30, Double.NaN, 0);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test266"); }


    double d4 = org.apache.commons.math.special.Beta.logBeta(100.0d, (-1.3766765505351941E-14d), 0.0d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test267"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.0d, (-70.94860118480915d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test268"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.distribution.FDistributionImpl fDistributionImpl2 = new org.apache.commons.math.distribution.FDistributionImpl((-241.8972023696183d), (-69.27444689618397d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test269"); }


    double d4 = org.apache.commons.math.special.Beta.regularizedBeta(1.0d, Double.NaN, (-2.302585092994052d), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test270"); }


    java.lang.Object[] obj_array4 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException6 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i7 = maxIterationsExceededException6.getMaxIterations();
    java.lang.Object[] obj_array8 = maxIterationsExceededException6.getArguments();
    java.lang.Object[] obj_array9 = maxIterationsExceededException6.getArguments();
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("hi!", obj_array4, (java.lang.Throwable)maxIterationsExceededException6);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException16 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i17 = maxIterationsExceededException16.getMaxIterations();
    java.lang.Object[] obj_array18 = maxIterationsExceededException16.getArguments();
    java.lang.Object[] obj_array19 = maxIterationsExceededException16.getArguments();
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("hi!", obj_array14, (java.lang.Throwable)maxIterationsExceededException16);
    java.lang.Object[] obj_array23 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable24 = null;
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("hi!", obj_array23, throwable24);
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array14, (java.lang.Throwable)mathException25);
    java.lang.Object[] obj_array27 = mathException25.getArguments();
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array4, (java.lang.Throwable)mathException25);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(4.054833958977294d, (java.lang.Throwable)mathException25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test271"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(4.054833958977294d, 4.424353726751487d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6343597610131397d);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test272"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.bracket(univariateRealFunction0, (-120.44860118480915d), (-70.94860118480915d), 359.1342053695754d, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test273"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(1.8610618854708538d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.052327304629020466d));

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test274"); }


    org.apache.commons.math.distribution.FDistributionImpl fDistributionImpl2 = new org.apache.commons.math.distribution.FDistributionImpl(4.424353726751487d, 2.2121768633757437d);
    double d4 = fDistributionImpl2.cumulativeProbability(0.0d);
    double d6 = fDistributionImpl2.cumulativeProbability((-241.8972023696183d));
    double d9 = fDistributionImpl2.cumulativeProbability((-241.8972023696183d), 4.424353726751487d);
    // The following exception was thrown during execution in test generation
    try {
      fDistributionImpl2.setNumeratorDegreesOfFreedom((-241.8972023696183d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.8248778838679155d);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test275"); }


    java.lang.Object[] obj_array8 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable9 = null;
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("hi!", obj_array8, throwable9);
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException("", obj_array8);
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.FunctionEvaluationException: Evaluation failed for argument = 10", obj_array8);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException(100.0d, "org.apache.commons.math.FunctionEvaluationException: Evaluation failed for argument = 10", obj_array8);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(100.0d, "org.apache.commons.math.FunctionEvaluationException: Evaluation failed for argument = 10", obj_array8);
    java.lang.String str15 = functionEvaluationException14.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: Evaluation failed for argument = 10"+ "'", str15.equals("org.apache.commons.math.FunctionEvaluationException: Evaluation failed for argument = 10"));

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test276"); }


    java.lang.Throwable throwable1 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException2 = new org.apache.commons.math.FunctionEvaluationException((-69.27444689618397d), throwable1);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test277"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(4.424353726751487d, Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test278"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str2 = maxIterationsExceededException1.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    maxIterationsExceededException1.addSuppressed((java.lang.Throwable)functionEvaluationException4);
    java.lang.String str6 = functionEvaluationException4.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str2.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: Evaluation failed for argument = 0"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: Evaluation failed for argument = 0"));

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test279"); }


    java.lang.Object[] obj_array10 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable11 = null;
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("hi!", obj_array10, throwable11);
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException("", obj_array10);
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array10);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException16 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str17 = maxIterationsExceededException16.toString();
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException16);
    java.lang.String str19 = maxIterationsExceededException16.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(359.1342053695754d, "", obj_array10, (java.lang.Throwable)maxIterationsExceededException16);
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: Evaluation failed for argument = 10", obj_array10);
    java.lang.Object[] obj_array25 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException27 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i28 = maxIterationsExceededException27.getMaxIterations();
    java.lang.Object[] obj_array29 = maxIterationsExceededException27.getArguments();
    java.lang.Object[] obj_array30 = maxIterationsExceededException27.getArguments();
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException("hi!", obj_array25, (java.lang.Throwable)maxIterationsExceededException27);
    java.lang.Object[] obj_array35 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException37 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i38 = maxIterationsExceededException37.getMaxIterations();
    java.lang.Object[] obj_array39 = maxIterationsExceededException37.getArguments();
    java.lang.Object[] obj_array40 = maxIterationsExceededException37.getArguments();
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException("hi!", obj_array35, (java.lang.Throwable)maxIterationsExceededException37);
    java.lang.Object[] obj_array44 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable45 = null;
    org.apache.commons.math.MathException mathException46 = new org.apache.commons.math.MathException("hi!", obj_array44, throwable45);
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array35, (java.lang.Throwable)mathException46);
    java.lang.Object[] obj_array48 = mathException46.getArguments();
    org.apache.commons.math.MathException mathException49 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array25, (java.lang.Throwable)mathException46);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException((-70.94860118480915d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array10, (java.lang.Throwable)mathException49);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException((-18.1002926075588d), (java.lang.Throwable)mathException49);
    java.lang.Object[] obj_array52 = mathException49.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str17.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str19.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array52);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test280"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ((-120.44860118480915d), 4.054833958977294d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test281"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.8248778838679155d, (-120.44860118480915d), (-4.605170185988072d), 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test282"); }


    double d4 = org.apache.commons.math.special.Beta.regularizedBeta(1.0d, (-0.9499703443181602d), (-0.9499703443181602d), 2.2121768633757437d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test283"); }


    double d4 = org.apache.commons.math.special.Beta.logBeta(10.0d, 2.2121768633757437d, 10.0d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-5.117083238722458d));

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test284"); }


    double d5 = org.apache.commons.math.special.Beta.regularizedBeta(2.2121768633757437d, 0.8101504309316963d, (-120.44860118480915d), (-4.605170185988072d), 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test285"); }


    java.lang.Object[] obj_array1 = null;
    java.lang.Throwable throwable2 = null;
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException(throwable2);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: Maximal number of iterations (0) exceeded", obj_array1, (java.lang.Throwable)mathException3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test286"); }


    org.apache.commons.math.distribution.FDistributionImpl fDistributionImpl2 = new org.apache.commons.math.distribution.FDistributionImpl(4.424353726751487d, 2.2121768633757437d);
    double d4 = fDistributionImpl2.cumulativeProbability(0.0d);
    double d6 = fDistributionImpl2.cumulativeProbability((-241.8972023696183d));
    double d9 = fDistributionImpl2.cumulativeProbability((-241.8972023696183d), 4.424353726751487d);
    double d10 = fDistributionImpl2.getDenominatorDegreesOfFreedom();
    // The following exception was thrown during execution in test generation
    try {
      fDistributionImpl2.setDenominatorDegreesOfFreedom((-69.27444689618397d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.8248778838679155d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 2.2121768633757437d);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test287"); }


    double d2 = org.apache.commons.math.special.Beta.logBeta(10.0d, 0.016548811916448882d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.054833958977294d);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test288"); }


    java.lang.Object[] obj_array4 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException6 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i7 = maxIterationsExceededException6.getMaxIterations();
    java.lang.Object[] obj_array8 = maxIterationsExceededException6.getArguments();
    java.lang.Object[] obj_array9 = maxIterationsExceededException6.getArguments();
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("hi!", obj_array4, (java.lang.Throwable)maxIterationsExceededException6);
    java.lang.Object[] obj_array13 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable14 = null;
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("hi!", obj_array13, throwable14);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array4, (java.lang.Throwable)mathException15);
    java.lang.Object[] obj_array19 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable20 = null;
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("hi!", obj_array19, throwable20);
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array4, (java.lang.Throwable)mathException21);
    org.apache.commons.math.ConvergenceException convergenceException23 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test289"); }


    double d2 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.midpoint(0.0d, 0.6343597610131397d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.31717988050656987d);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test290"); }


    java.lang.Object[] obj_array12 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable13 = null;
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException("hi!", obj_array12, throwable13);
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException("", obj_array12);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array12);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException18 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str19 = maxIterationsExceededException18.toString();
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException18);
    java.lang.String str21 = maxIterationsExceededException18.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(359.1342053695754d, "", obj_array12, (java.lang.Throwable)maxIterationsExceededException18);
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: Evaluation failed for argument = 10", obj_array12);
    java.lang.Object[] obj_array29 = new java.lang.Object[] { Double.NaN };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException31 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException("", obj_array29, (java.lang.Throwable)maxIterationsExceededException31);
    java.lang.Object[] obj_array33 = maxIterationsExceededException31.getArguments();
    java.lang.Object[] obj_array37 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException39 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i40 = maxIterationsExceededException39.getMaxIterations();
    java.lang.Object[] obj_array41 = maxIterationsExceededException39.getArguments();
    java.lang.Object[] obj_array42 = maxIterationsExceededException39.getArguments();
    org.apache.commons.math.MathException mathException43 = new org.apache.commons.math.MathException("hi!", obj_array37, (java.lang.Throwable)maxIterationsExceededException39);
    java.lang.Object[] obj_array46 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable47 = null;
    org.apache.commons.math.MathException mathException48 = new org.apache.commons.math.MathException("hi!", obj_array46, throwable47);
    org.apache.commons.math.MathException mathException49 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array37, (java.lang.Throwable)mathException48);
    org.apache.commons.math.MathException mathException50 = new org.apache.commons.math.MathException("", obj_array33, (java.lang.Throwable)mathException48);
    org.apache.commons.math.MathException mathException51 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException48);
    java.lang.Throwable[] throwable_array52 = mathException48.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException(Double.NaN, "", (java.lang.Object[])throwable_array52);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "Maximal number of iterations ({0}) exceeded", obj_array12, (java.lang.Throwable)functionEvaluationException53);
    org.apache.commons.math.ConvergenceException convergenceException55 = new org.apache.commons.math.ConvergenceException();
    java.lang.String str56 = convergenceException55.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException((-69.27444689618397d), "Maximal number of iterations ({0}) exceeded", obj_array12, (java.lang.Throwable)convergenceException55);
    org.apache.commons.math.MathException mathException58 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: Convergence failed", obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str19.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str21.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str56 + "' != '" + "org.apache.commons.math.ConvergenceException: Convergence failed"+ "'", str56.equals("org.apache.commons.math.ConvergenceException: Convergence failed"));

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test291"); }


    java.lang.Object[] obj_array4 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException6 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i7 = maxIterationsExceededException6.getMaxIterations();
    java.lang.Object[] obj_array8 = maxIterationsExceededException6.getArguments();
    java.lang.Object[] obj_array9 = maxIterationsExceededException6.getArguments();
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("hi!", obj_array4, (java.lang.Throwable)maxIterationsExceededException6);
    java.lang.Object[] obj_array13 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable14 = null;
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("hi!", obj_array13, throwable14);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array4, (java.lang.Throwable)mathException15);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test292"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException2 = new org.apache.commons.math.MaxIterationsExceededException(1);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException(1.0d, (java.lang.Throwable)maxIterationsExceededException2);
    int i4 = maxIterationsExceededException2.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test293"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 1.8610618854708538d, Double.NaN, (-18.1002926075588d), 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test294"); }


    java.lang.Object[] obj_array5 = new java.lang.Object[] { Double.NaN };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException7 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException("", obj_array5, (java.lang.Throwable)maxIterationsExceededException7);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException(Double.NaN, "hi!", obj_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.String str12 = functionEvaluationException11.toString();
    double d13 = functionEvaluationException11.getArgument();
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException("", obj_array5, (java.lang.Throwable)functionEvaluationException11);
    java.lang.Throwable[] throwable_array15 = functionEvaluationException11.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: Evaluation failed for argument = 10"+ "'", str12.equals("org.apache.commons.math.FunctionEvaluationException: Evaluation failed for argument = 10"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test295"); }


    java.lang.Object[] obj_array4 = new java.lang.Object[] { Double.NaN };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException6 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.ConvergenceException convergenceException7 = new org.apache.commons.math.ConvergenceException("", obj_array4, (java.lang.Throwable)maxIterationsExceededException6);
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException("Maximal number of iterations ({0}) exceeded", obj_array4);
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: Maximal number of iterations (0) exceeded", obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test296"); }


    double d2 = org.apache.commons.math.special.Beta.logBeta(0.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test297"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.bracket(univariateRealFunction0, (-1.3766765505351941E-14d), 359.1342053695754d, 0.0d, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test298"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma((-241.8972023696183d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test299"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.151292546497026d));

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test300"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.38693924833576954d, (-0.9499703443181602d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test301"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.solve(univariateRealFunction0, (-4.605170185988072d), 0.0d, Double.NaN);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test302"); }


    double d3 = org.apache.commons.math.special.Beta.regularizedBeta(0.8248778838679155d, 4.424353726751487d, 0.31717988050656987d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.12341100806601668d);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test303"); }


    java.lang.Object[] obj_array2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException3 = new org.apache.commons.math.MaxIterationsExceededException(10, "Evaluation failed for argument = {0}", obj_array2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test304"); }


    double d3 = org.apache.commons.math.special.Beta.regularizedBeta(0.016548811916448882d, 2.2121768633757437d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test305"); }


    double d4 = org.apache.commons.math.special.Beta.regularizedBeta((-70.94860118480915d), 0.8101504309316963d, (-0.9499703443181602d), (-241.8972023696183d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test306"); }


    org.apache.commons.math.ConvergenceException convergenceException0 = new org.apache.commons.math.ConvergenceException();
    java.lang.String str1 = convergenceException0.toString();
    java.lang.Object[] obj_array2 = convergenceException0.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "org.apache.commons.math.ConvergenceException: Convergence failed"+ "'", str1.equals("org.apache.commons.math.ConvergenceException: Convergence failed"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array2);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test307"); }


    double d3 = org.apache.commons.math.special.Beta.regularizedBeta((-0.9499703443181602d), 4.424353726751487d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test308"); }


    java.lang.Object[] obj_array1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test309"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ((-69.27444689618397d), (-18.1002926075588d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test310"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.0d, 1.8610618854708538d, 0.31717988050656987d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test311"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.bracket(univariateRealFunction0, (-69.27444689618397d), (-1.151292546497026d), (-2.302585092994052d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test312"); }


    double d2 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.midpoint((-70.94860118480915d), Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test313"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(1.8610618854708538d, 0.6343597610131397d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8373833545692442d);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test314"); }


    org.apache.commons.math.distribution.FDistributionImpl fDistributionImpl2 = new org.apache.commons.math.distribution.FDistributionImpl(4.424353726751487d, 2.2121768633757437d);
    double d4 = fDistributionImpl2.cumulativeProbability(0.0d);
    double d6 = fDistributionImpl2.cumulativeProbability((-241.8972023696183d));
    double d9 = fDistributionImpl2.cumulativeProbability((-241.8972023696183d), 4.424353726751487d);
    double d10 = fDistributionImpl2.getDenominatorDegreesOfFreedom();
    double d12 = fDistributionImpl2.inverseCumulativeProbability(0.0d);
    double d13 = fDistributionImpl2.getNumeratorDegreesOfFreedom();
    // The following exception was thrown during execution in test generation
    try {
      double d16 = fDistributionImpl2.cumulativeProbability(10.0d, 4.424353726751487d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.8248778838679155d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 2.2121768633757437d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 4.424353726751487d);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test315"); }


    double d2 = org.apache.commons.math.special.Beta.logBeta(0.8101504309316963d, (-1.151292546497026d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test316"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ((-5.117083238722458d), 0.8248778838679155d, 0.0d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test317"); }


    java.lang.Object[] obj_array11 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable12 = null;
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("hi!", obj_array11, throwable12);
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException("", obj_array11);
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array11);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException17 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str18 = maxIterationsExceededException17.toString();
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException17);
    java.lang.String str20 = maxIterationsExceededException17.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException(359.1342053695754d, "", obj_array11, (java.lang.Throwable)maxIterationsExceededException17);
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: Evaluation failed for argument = 10", obj_array11);
    java.lang.Object[] obj_array28 = new java.lang.Object[] { Double.NaN };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException30 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("", obj_array28, (java.lang.Throwable)maxIterationsExceededException30);
    java.lang.Object[] obj_array32 = maxIterationsExceededException30.getArguments();
    java.lang.Object[] obj_array36 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException38 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i39 = maxIterationsExceededException38.getMaxIterations();
    java.lang.Object[] obj_array40 = maxIterationsExceededException38.getArguments();
    java.lang.Object[] obj_array41 = maxIterationsExceededException38.getArguments();
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException("hi!", obj_array36, (java.lang.Throwable)maxIterationsExceededException38);
    java.lang.Object[] obj_array45 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable46 = null;
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException("hi!", obj_array45, throwable46);
    org.apache.commons.math.MathException mathException48 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array36, (java.lang.Throwable)mathException47);
    org.apache.commons.math.MathException mathException49 = new org.apache.commons.math.MathException("", obj_array32, (java.lang.Throwable)mathException47);
    org.apache.commons.math.MathException mathException50 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException47);
    java.lang.Throwable[] throwable_array51 = mathException47.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException(Double.NaN, "", (java.lang.Object[])throwable_array51);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "Maximal number of iterations ({0}) exceeded", obj_array11, (java.lang.Throwable)functionEvaluationException52);
    org.apache.commons.math.ConvergenceException convergenceException54 = new org.apache.commons.math.ConvergenceException();
    java.lang.String str55 = convergenceException54.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException((-69.27444689618397d), "Maximal number of iterations ({0}) exceeded", obj_array11, (java.lang.Throwable)convergenceException54);
    double d57 = functionEvaluationException56.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str18.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str20.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str55 + "' != '" + "org.apache.commons.math.ConvergenceException: Convergence failed"+ "'", str55.equals("org.apache.commons.math.ConvergenceException: Convergence failed"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == (-69.27444689618397d));

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test318"); }


    java.lang.Object[] obj_array1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: Evaluation failed for argument = 0", obj_array1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test319"); }


    org.apache.commons.math.distribution.FDistributionImpl fDistributionImpl2 = new org.apache.commons.math.distribution.FDistributionImpl(4.424353726751487d, 2.2121768633757437d);
    double d4 = fDistributionImpl2.cumulativeProbability(0.0d);
    double d6 = fDistributionImpl2.cumulativeProbability((-241.8972023696183d));
    double d9 = fDistributionImpl2.cumulativeProbability((-241.8972023696183d), 4.424353726751487d);
    double d10 = fDistributionImpl2.getDenominatorDegreesOfFreedom();
    double d12 = fDistributionImpl2.inverseCumulativeProbability(0.0d);
    double d14 = fDistributionImpl2.cumulativeProbability((-241.8972023696183d));
    double d15 = fDistributionImpl2.getDenominatorDegreesOfFreedom();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.8248778838679155d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 2.2121768633757437d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 2.2121768633757437d);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test320"); }


    double d5 = org.apache.commons.math.special.Beta.regularizedBeta((-5.117083238722458d), 4.424353726751487d, 2.2121768633757437d, 4.054833958977294d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test321"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.6343597610131397d, (-120.44860118480915d), (-70.94860118480915d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test322"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i2 = maxIterationsExceededException1.getMaxIterations();
    java.lang.Object[] obj_array3 = maxIterationsExceededException1.getArguments();
    java.lang.Object[] obj_array4 = maxIterationsExceededException1.getArguments();
    int i5 = maxIterationsExceededException1.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test323"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(10);
    int i2 = maxIterationsExceededException1.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 10);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test324"); }


    java.lang.Object[] obj_array8 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException10 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i11 = maxIterationsExceededException10.getMaxIterations();
    java.lang.Object[] obj_array12 = maxIterationsExceededException10.getArguments();
    java.lang.Object[] obj_array13 = maxIterationsExceededException10.getArguments();
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException("hi!", obj_array8, (java.lang.Throwable)maxIterationsExceededException10);
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException("", obj_array8);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array8);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array8);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException19 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str20 = maxIterationsExceededException19.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    maxIterationsExceededException19.addSuppressed((java.lang.Throwable)functionEvaluationException22);
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array8, (java.lang.Throwable)maxIterationsExceededException19);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException25 = new org.apache.commons.math.MaxIterationsExceededException(100, "org.apache.commons.math.FunctionEvaluationException: Evaluation failed for argument = 0", obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str20.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test325"); }


    double d5 = org.apache.commons.math.special.Beta.regularizedBeta(2.2121768633757437d, 2.2121768633757437d, 10.0d, (-241.8972023696183d), 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test326"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-4.440892098500626E-16d));

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test327"); }


    double d4 = org.apache.commons.math.special.Beta.regularizedBeta(0.8248778838679155d, (-4.605170185988072d), (-1.3766765505351941E-14d), 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test328"); }


    org.apache.commons.math.distribution.FDistributionImpl fDistributionImpl2 = new org.apache.commons.math.distribution.FDistributionImpl(4.424353726751487d, 2.2121768633757437d);
    double d4 = fDistributionImpl2.cumulativeProbability(0.0d);
    double d6 = fDistributionImpl2.cumulativeProbability((-241.8972023696183d));
    double d9 = fDistributionImpl2.cumulativeProbability((-241.8972023696183d), 4.424353726751487d);
    double d12 = fDistributionImpl2.cumulativeProbability(0.0d, 0.8248778838679155d);
    double d14 = fDistributionImpl2.cumulativeProbability((-1.151292546497026d));
    // The following exception was thrown during execution in test generation
    try {
      double d17 = fDistributionImpl2.cumulativeProbability(359.1342053695754d, 100.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.8248778838679155d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.38693924833576954d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test329"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(2.2121768633757437d, 0.6343597610131397d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9027792165662616d);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test330"); }


    org.apache.commons.math.distribution.FDistributionImpl fDistributionImpl2 = new org.apache.commons.math.distribution.FDistributionImpl(4.424353726751487d, 2.2121768633757437d);
    double d4 = fDistributionImpl2.cumulativeProbability(0.0d);
    double d6 = fDistributionImpl2.cumulativeProbability((-241.8972023696183d));
    double d9 = fDistributionImpl2.cumulativeProbability((-241.8972023696183d), 4.424353726751487d);
    double d12 = fDistributionImpl2.cumulativeProbability(0.0d, 0.8248778838679155d);
    fDistributionImpl2.setNumeratorDegreesOfFreedom(4.424353726751487d);
    // The following exception was thrown during execution in test generation
    try {
      fDistributionImpl2.setNumeratorDegreesOfFreedom((-1.3766765505351941E-14d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.8248778838679155d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.38693924833576954d);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test331"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(1.8610618854708538d, (-1.3766765505351941E-14d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test332"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.016548811916448882d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test333"); }


    double d4 = org.apache.commons.math.special.Beta.regularizedBeta((-1.3766765505351941E-14d), 0.8373833545692442d, 0.12341100806601668d, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test334"); }


    double d2 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.midpoint(2.2121768633757437d, 359.1342053695754d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 180.67319111647558d);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test335"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(180.67319111647558d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 756.5503977228898d);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test336"); }


    org.apache.commons.math.distribution.FDistributionImpl fDistributionImpl2 = new org.apache.commons.math.distribution.FDistributionImpl(4.424353726751487d, 2.2121768633757437d);
    double d4 = fDistributionImpl2.cumulativeProbability(0.0d);
    double d6 = fDistributionImpl2.cumulativeProbability((-241.8972023696183d));
    double d9 = fDistributionImpl2.cumulativeProbability((-241.8972023696183d), 4.424353726751487d);
    double d10 = fDistributionImpl2.getDenominatorDegreesOfFreedom();
    double d11 = fDistributionImpl2.getDenominatorDegreesOfFreedom();
    double d12 = fDistributionImpl2.getNumeratorDegreesOfFreedom();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.8248778838679155d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 2.2121768633757437d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 2.2121768633757437d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 4.424353726751487d);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test337"); }


    java.lang.Object[] obj_array7 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable8 = null;
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("hi!", obj_array7, throwable8);
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException("", obj_array7);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array7);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException13 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str14 = maxIterationsExceededException13.toString();
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException13);
    java.lang.String str16 = maxIterationsExceededException13.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(359.1342053695754d, "", obj_array7, (java.lang.Throwable)maxIterationsExceededException13);
    int i18 = maxIterationsExceededException13.getMaxIterations();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException(0.31717988050656987d, (java.lang.Throwable)maxIterationsExceededException13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str14.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str16.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test338"); }


    org.apache.commons.math.distribution.FDistributionImpl fDistributionImpl2 = new org.apache.commons.math.distribution.FDistributionImpl(4.424353726751487d, 2.2121768633757437d);
    double d4 = fDistributionImpl2.cumulativeProbability(0.0d);
    double d6 = fDistributionImpl2.cumulativeProbability((-241.8972023696183d));
    // The following exception was thrown during execution in test generation
    try {
      double d9 = fDistributionImpl2.cumulativeProbability(359.1342053695754d, (-241.8972023696183d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test339"); }


    double d2 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.midpoint(0.38693924833576954d, (-70.94860118480915d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-35.28083096823669d));

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test340"); }


    double d3 = org.apache.commons.math.special.Beta.regularizedBeta(0.31717988050656987d, (-69.27444689618397d), 4.424353726751487d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test341"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.6343597610131397d, (-69.27444689618397d), 180.67319111647558d, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test342"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i2 = maxIterationsExceededException1.getMaxIterations();
    java.lang.Object[] obj_array3 = maxIterationsExceededException1.getArguments();
    java.lang.Object[] obj_array4 = maxIterationsExceededException1.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException5 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test343"); }


    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException();
    java.lang.String str4 = mathException3.getPattern();
    java.lang.Object[] obj_array5 = new java.lang.Object[] { str4 };
    java.lang.Object[] obj_array10 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException12 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i13 = maxIterationsExceededException12.getMaxIterations();
    java.lang.Object[] obj_array14 = maxIterationsExceededException12.getArguments();
    java.lang.Object[] obj_array15 = maxIterationsExceededException12.getArguments();
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("hi!", obj_array10, (java.lang.Throwable)maxIterationsExceededException12);
    java.lang.Object[] obj_array19 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable20 = null;
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("hi!", obj_array19, throwable20);
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array10, (java.lang.Throwable)mathException21);
    java.lang.Object[] obj_array25 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable26 = null;
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("hi!", obj_array25, throwable26);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array10, (java.lang.Throwable)mathException27);
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("", obj_array5, (java.lang.Throwable)convergenceException28);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException((-1.3766765505351941E-14d), (java.lang.Throwable)mathException30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test344"); }


    java.lang.Object[] obj_array6 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException8 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i9 = maxIterationsExceededException8.getMaxIterations();
    java.lang.Object[] obj_array10 = maxIterationsExceededException8.getArguments();
    java.lang.Object[] obj_array11 = maxIterationsExceededException8.getArguments();
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("hi!", obj_array6, (java.lang.Throwable)maxIterationsExceededException8);
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException("", obj_array6);
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array6);
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array6);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException17 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str18 = maxIterationsExceededException17.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    maxIterationsExceededException17.addSuppressed((java.lang.Throwable)functionEvaluationException20);
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array6, (java.lang.Throwable)maxIterationsExceededException17);
    java.lang.Throwable[] throwable_array23 = maxIterationsExceededException17.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str18.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array23);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test345"); }


    java.lang.Object[] obj_array3 = new java.lang.Object[] { Double.NaN };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException5 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.ConvergenceException convergenceException6 = new org.apache.commons.math.ConvergenceException("", obj_array3, (java.lang.Throwable)maxIterationsExceededException5);
    org.apache.commons.math.ConvergenceException convergenceException7 = new org.apache.commons.math.ConvergenceException("Evaluation failed for argument = {0}", obj_array3);
    java.lang.Throwable[] throwable_array8 = convergenceException7.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test346"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.0d, (-120.44860118480915d), (-70.94860118480915d), 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test347"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(0.6343597610131397d);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test348"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP((-69.27444689618397d), 0.8248778838679155d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test349"); }


    java.lang.Object[] obj_array7 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException9 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i10 = maxIterationsExceededException9.getMaxIterations();
    java.lang.Object[] obj_array11 = maxIterationsExceededException9.getArguments();
    java.lang.Object[] obj_array12 = maxIterationsExceededException9.getArguments();
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("hi!", obj_array7, (java.lang.Throwable)maxIterationsExceededException9);
    java.lang.Object[] obj_array16 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable17 = null;
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("hi!", obj_array16, throwable17);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array7, (java.lang.Throwable)mathException18);
    java.lang.Object[] obj_array22 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable23 = null;
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("hi!", obj_array22, throwable23);
    org.apache.commons.math.ConvergenceException convergenceException25 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array7, (java.lang.Throwable)mathException24);
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array7);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(Double.NaN);
    double d29 = functionEvaluationException28.getArgument();
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: Convergence failed", obj_array7, (java.lang.Throwable)functionEvaluationException28);
    java.lang.Object[] obj_array34 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException36 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i37 = maxIterationsExceededException36.getMaxIterations();
    java.lang.Object[] obj_array38 = maxIterationsExceededException36.getArguments();
    java.lang.Object[] obj_array39 = maxIterationsExceededException36.getArguments();
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException("hi!", obj_array34, (java.lang.Throwable)maxIterationsExceededException36);
    java.lang.Object[] obj_array44 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException46 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i47 = maxIterationsExceededException46.getMaxIterations();
    java.lang.Object[] obj_array48 = maxIterationsExceededException46.getArguments();
    java.lang.Object[] obj_array49 = maxIterationsExceededException46.getArguments();
    org.apache.commons.math.MathException mathException50 = new org.apache.commons.math.MathException("hi!", obj_array44, (java.lang.Throwable)maxIterationsExceededException46);
    java.lang.Object[] obj_array53 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable54 = null;
    org.apache.commons.math.MathException mathException55 = new org.apache.commons.math.MathException("hi!", obj_array53, throwable54);
    org.apache.commons.math.MathException mathException56 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array44, (java.lang.Throwable)mathException55);
    java.lang.Object[] obj_array57 = mathException55.getArguments();
    org.apache.commons.math.MathException mathException58 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array34, (java.lang.Throwable)mathException55);
    java.lang.String str59 = mathException55.getPattern();
    org.apache.commons.math.MathException mathException60 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: Maximal number of iterations (0) exceeded", obj_array7, (java.lang.Throwable)mathException55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d29, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str59 + "' != '" + "hi!"+ "'", str59.equals("hi!"));

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test350"); }


    java.lang.Object[] obj_array7 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable8 = null;
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("hi!", obj_array7, throwable8);
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException("", obj_array7);
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.FunctionEvaluationException: Evaluation failed for argument = 10", obj_array7);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException(100.0d, "org.apache.commons.math.FunctionEvaluationException: Evaluation failed for argument = 10", obj_array7);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test351"); }


    double d5 = org.apache.commons.math.special.Beta.regularizedBeta((-5.117083238722458d), (-18.1002926075588d), Double.NaN, (-69.27444689618397d), 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test352"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.016548811916448882d, 0.6343597610131397d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.007101587338947057d);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test353"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test354"); }


    java.lang.Object[] obj_array5 = new java.lang.Object[] { Double.NaN };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException7 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException("", obj_array5, (java.lang.Throwable)maxIterationsExceededException7);
    java.lang.Object[] obj_array9 = maxIterationsExceededException7.getArguments();
    java.lang.Object[] obj_array13 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException15 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i16 = maxIterationsExceededException15.getMaxIterations();
    java.lang.Object[] obj_array17 = maxIterationsExceededException15.getArguments();
    java.lang.Object[] obj_array18 = maxIterationsExceededException15.getArguments();
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("hi!", obj_array13, (java.lang.Throwable)maxIterationsExceededException15);
    java.lang.Object[] obj_array22 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable23 = null;
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("hi!", obj_array22, throwable23);
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array13, (java.lang.Throwable)mathException24);
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("", obj_array9, (java.lang.Throwable)mathException24);
    java.lang.Throwable[] throwable_array27 = mathException26.getSuppressed();
    java.lang.Object[] obj_array33 = new java.lang.Object[] { Double.NaN };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException35 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.ConvergenceException convergenceException36 = new org.apache.commons.math.ConvergenceException("", obj_array33, (java.lang.Throwable)maxIterationsExceededException35);
    java.lang.Object[] obj_array37 = maxIterationsExceededException35.getArguments();
    java.lang.Object[] obj_array41 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException43 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i44 = maxIterationsExceededException43.getMaxIterations();
    java.lang.Object[] obj_array45 = maxIterationsExceededException43.getArguments();
    java.lang.Object[] obj_array46 = maxIterationsExceededException43.getArguments();
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException("hi!", obj_array41, (java.lang.Throwable)maxIterationsExceededException43);
    java.lang.Object[] obj_array50 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable51 = null;
    org.apache.commons.math.MathException mathException52 = new org.apache.commons.math.MathException("hi!", obj_array50, throwable51);
    org.apache.commons.math.MathException mathException53 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array41, (java.lang.Throwable)mathException52);
    org.apache.commons.math.MathException mathException54 = new org.apache.commons.math.MathException("", obj_array37, (java.lang.Throwable)mathException52);
    org.apache.commons.math.MathException mathException55 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException52);
    java.lang.Throwable[] throwable_array56 = mathException52.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException(Double.NaN, "", (java.lang.Object[])throwable_array56);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException(0.0d, "org.apache.commons.math.FunctionEvaluationException: ", (java.lang.Object[])throwable_array27, (java.lang.Throwable)functionEvaluationException57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array56);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test355"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ((-2.302585092994052d), (-0.9499703443181602d), 180.67319111647558d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test356"); }


    org.apache.commons.math.distribution.FDistributionImpl fDistributionImpl2 = new org.apache.commons.math.distribution.FDistributionImpl(4.424353726751487d, 2.2121768633757437d);
    double d4 = fDistributionImpl2.cumulativeProbability(0.0d);
    double d6 = fDistributionImpl2.cumulativeProbability((-241.8972023696183d));
    double d9 = fDistributionImpl2.cumulativeProbability((-241.8972023696183d), 4.424353726751487d);
    double d10 = fDistributionImpl2.getDenominatorDegreesOfFreedom();
    double d11 = fDistributionImpl2.getDenominatorDegreesOfFreedom();
    double d13 = fDistributionImpl2.cumulativeProbability((-70.94860118480915d));
    double d15 = fDistributionImpl2.inverseCumulativeProbability(0.38693924833576954d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.8248778838679155d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 2.2121768633757437d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 2.2121768633757437d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.8248778960694054d);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test357"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.12341100806601668d, 0.0d, 0.0d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test358"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str2 = maxIterationsExceededException1.toString();
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException1);
    java.lang.String str4 = maxIterationsExceededException1.getPattern();
    int i5 = maxIterationsExceededException1.getMaxIterations();
    int i6 = maxIterationsExceededException1.getMaxIterations();
    java.lang.Object[] obj_array13 = new java.lang.Object[] { Double.NaN };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException15 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException("", obj_array13, (java.lang.Throwable)maxIterationsExceededException15);
    java.lang.Throwable[] throwable_array17 = convergenceException16.getSuppressed();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException22 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i23 = maxIterationsExceededException22.getMaxIterations();
    java.lang.Object[] obj_array24 = maxIterationsExceededException22.getArguments();
    java.lang.Object[] obj_array25 = maxIterationsExceededException22.getArguments();
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("hi!", obj_array25);
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException();
    java.lang.String str29 = mathException28.getPattern();
    java.lang.Object[] obj_array30 = new java.lang.Object[] { str29 };
    java.lang.Object[] obj_array35 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException37 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i38 = maxIterationsExceededException37.getMaxIterations();
    java.lang.Object[] obj_array39 = maxIterationsExceededException37.getArguments();
    java.lang.Object[] obj_array40 = maxIterationsExceededException37.getArguments();
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException("hi!", obj_array35, (java.lang.Throwable)maxIterationsExceededException37);
    java.lang.Object[] obj_array44 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable45 = null;
    org.apache.commons.math.MathException mathException46 = new org.apache.commons.math.MathException("hi!", obj_array44, throwable45);
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array35, (java.lang.Throwable)mathException46);
    java.lang.Object[] obj_array50 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable51 = null;
    org.apache.commons.math.MathException mathException52 = new org.apache.commons.math.MathException("hi!", obj_array50, throwable51);
    org.apache.commons.math.ConvergenceException convergenceException53 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array35, (java.lang.Throwable)mathException52);
    org.apache.commons.math.MathException mathException54 = new org.apache.commons.math.MathException("", obj_array30, (java.lang.Throwable)convergenceException53);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException(0.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array25, (java.lang.Throwable)mathException54);
    org.apache.commons.math.MathException mathException56 = new org.apache.commons.math.MathException("", (java.lang.Object[])throwable_array17, (java.lang.Throwable)functionEvaluationException55);
    java.lang.Object[] obj_array60 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException62 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i63 = maxIterationsExceededException62.getMaxIterations();
    java.lang.Object[] obj_array64 = maxIterationsExceededException62.getArguments();
    java.lang.Object[] obj_array65 = maxIterationsExceededException62.getArguments();
    org.apache.commons.math.MathException mathException66 = new org.apache.commons.math.MathException("hi!", obj_array60, (java.lang.Throwable)maxIterationsExceededException62);
    java.lang.Object[] obj_array70 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException72 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i73 = maxIterationsExceededException72.getMaxIterations();
    java.lang.Object[] obj_array74 = maxIterationsExceededException72.getArguments();
    java.lang.Object[] obj_array75 = maxIterationsExceededException72.getArguments();
    org.apache.commons.math.MathException mathException76 = new org.apache.commons.math.MathException("hi!", obj_array70, (java.lang.Throwable)maxIterationsExceededException72);
    java.lang.Object[] obj_array79 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable80 = null;
    org.apache.commons.math.MathException mathException81 = new org.apache.commons.math.MathException("hi!", obj_array79, throwable80);
    org.apache.commons.math.MathException mathException82 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array70, (java.lang.Throwable)mathException81);
    java.lang.Object[] obj_array83 = mathException81.getArguments();
    org.apache.commons.math.MathException mathException84 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array60, (java.lang.Throwable)mathException81);
    org.apache.commons.math.MathException mathException85 = new org.apache.commons.math.MathException("Evaluation failed for argument = {0}", (java.lang.Object[])throwable_array17, (java.lang.Throwable)mathException81);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException86 = new org.apache.commons.math.MaxIterationsExceededException((-1), "hi!", (java.lang.Object[])throwable_array17);
    maxIterationsExceededException1.addSuppressed((java.lang.Throwable)maxIterationsExceededException86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str2.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str4.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i63 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i73 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array83);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test359"); }


    double d5 = org.apache.commons.math.special.Beta.regularizedBeta(0.0d, 4.054833958977294d, (-2.302585092994052d), 100.0d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test360"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.8101504309316963d, (-69.27444689618397d), 1.0d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test361"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.solve(univariateRealFunction0, (-69.27444689618397d), (-1.0d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test362"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException5 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i6 = maxIterationsExceededException5.getMaxIterations();
    java.lang.Object[] obj_array7 = maxIterationsExceededException5.getArguments();
    java.lang.Object[] obj_array8 = maxIterationsExceededException5.getArguments();
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("hi!", obj_array8);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException();
    java.lang.String str12 = mathException11.getPattern();
    java.lang.Object[] obj_array13 = new java.lang.Object[] { str12 };
    java.lang.Object[] obj_array18 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException20 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i21 = maxIterationsExceededException20.getMaxIterations();
    java.lang.Object[] obj_array22 = maxIterationsExceededException20.getArguments();
    java.lang.Object[] obj_array23 = maxIterationsExceededException20.getArguments();
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("hi!", obj_array18, (java.lang.Throwable)maxIterationsExceededException20);
    java.lang.Object[] obj_array27 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable28 = null;
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("hi!", obj_array27, throwable28);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array18, (java.lang.Throwable)mathException29);
    java.lang.Object[] obj_array33 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable34 = null;
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException("hi!", obj_array33, throwable34);
    org.apache.commons.math.ConvergenceException convergenceException36 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array18, (java.lang.Throwable)mathException35);
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException("", obj_array13, (java.lang.Throwable)convergenceException36);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException(0.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array8, (java.lang.Throwable)mathException37);
    java.lang.Object[] obj_array44 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException46 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i47 = maxIterationsExceededException46.getMaxIterations();
    java.lang.Object[] obj_array48 = maxIterationsExceededException46.getArguments();
    java.lang.Object[] obj_array49 = maxIterationsExceededException46.getArguments();
    org.apache.commons.math.MathException mathException50 = new org.apache.commons.math.MathException("hi!", obj_array44, (java.lang.Throwable)maxIterationsExceededException46);
    java.lang.Object[] obj_array53 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable54 = null;
    org.apache.commons.math.MathException mathException55 = new org.apache.commons.math.MathException("hi!", obj_array53, throwable54);
    org.apache.commons.math.MathException mathException56 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array44, (java.lang.Throwable)mathException55);
    java.lang.Object[] obj_array59 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable60 = null;
    org.apache.commons.math.MathException mathException61 = new org.apache.commons.math.MathException("hi!", obj_array59, throwable60);
    org.apache.commons.math.ConvergenceException convergenceException62 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array44, (java.lang.Throwable)mathException61);
    org.apache.commons.math.MathException mathException63 = new org.apache.commons.math.MathException();
    java.lang.String str64 = mathException63.getPattern();
    org.apache.commons.math.MathException mathException65 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException63);
    org.apache.commons.math.MathException mathException66 = new org.apache.commons.math.MathException("", obj_array44, (java.lang.Throwable)mathException63);
    org.apache.commons.math.ConvergenceException convergenceException67 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: Maximal number of iterations (0) exceeded", obj_array8, (java.lang.Throwable)mathException66);
    org.apache.commons.math.MathException mathException68 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException67);
    java.lang.Throwable[] throwable_array69 = mathException68.getSuppressed();
    java.lang.Object[] obj_array70 = mathException68.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array70);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test363"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 100.0d, 756.5503977228898d, 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test364"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i2 = maxIterationsExceededException1.getMaxIterations();
    java.lang.Object[] obj_array3 = maxIterationsExceededException1.getArguments();
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException1);
    int i5 = maxIterationsExceededException1.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test365"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str2 = maxIterationsExceededException1.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    maxIterationsExceededException1.addSuppressed((java.lang.Throwable)functionEvaluationException4);
    java.lang.String str6 = maxIterationsExceededException1.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str2.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str6.equals("Maximal number of iterations ({0}) exceeded"));

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test366"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.solve(univariateRealFunction0, (-35.28083096823669d), 0.38693924833576954d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test367"); }


    double d4 = org.apache.commons.math.special.Beta.regularizedBeta((-0.052327304629020466d), 0.016548811916448882d, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test368"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.bracket(univariateRealFunction0, (-18.1002926075588d), 0.8101504309316963d, (-0.052327304629020466d), 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test369"); }


    java.lang.Object[] obj_array2 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException4 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i5 = maxIterationsExceededException4.getMaxIterations();
    java.lang.Object[] obj_array6 = maxIterationsExceededException4.getArguments();
    java.lang.Object[] obj_array7 = maxIterationsExceededException4.getArguments();
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("hi!", obj_array2, (java.lang.Throwable)maxIterationsExceededException4);
    java.lang.String str9 = maxIterationsExceededException4.toString();
    int i10 = maxIterationsExceededException4.getMaxIterations();
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str9.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test370"); }


    double d4 = org.apache.commons.math.special.Beta.regularizedBeta(4.054833958977294d, (-4.605170185988072d), (-35.28083096823669d), 1.8610618854708538d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test371"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException2 = new org.apache.commons.math.MaxIterationsExceededException(1);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException(1.0d, (java.lang.Throwable)maxIterationsExceededException2);
    java.lang.String str4 = functionEvaluationException3.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "Maximal number of iterations (1) exceeded"+ "'", str4.equals("Maximal number of iterations (1) exceeded"));

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test372"); }


    double d2 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.midpoint(0.8373833545692442d, 0.016548811916448882d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.4269660832428465d);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test373"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.distribution.FDistributionImpl fDistributionImpl2 = new org.apache.commons.math.distribution.FDistributionImpl(0.0d, 0.12341100806601668d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test374"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.31717988050656987d, (-0.052327304629020466d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test375"); }


    java.lang.Object[] obj_array2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException3 = new org.apache.commons.math.MaxIterationsExceededException(100, "org.apache.commons.math.MathException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test376"); }


    java.lang.Object[] obj_array6 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException8 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i9 = maxIterationsExceededException8.getMaxIterations();
    java.lang.Object[] obj_array10 = maxIterationsExceededException8.getArguments();
    java.lang.Object[] obj_array11 = maxIterationsExceededException8.getArguments();
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("hi!", obj_array6, (java.lang.Throwable)maxIterationsExceededException8);
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException("", obj_array6);
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array6);
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array6);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException17 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str18 = maxIterationsExceededException17.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    maxIterationsExceededException17.addSuppressed((java.lang.Throwable)functionEvaluationException20);
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array6, (java.lang.Throwable)maxIterationsExceededException17);
    java.lang.String str23 = maxIterationsExceededException17.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str18.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str23.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test377"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(0.007101587338947057d);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test378"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.38693924833576954d, 1.8610618854708538d, 0.31717988050656987d, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test379"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str2 = maxIterationsExceededException1.toString();
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException1);
    java.lang.String str4 = maxIterationsExceededException1.getPattern();
    int i5 = maxIterationsExceededException1.getMaxIterations();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException11 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i12 = maxIterationsExceededException11.getMaxIterations();
    java.lang.Object[] obj_array13 = maxIterationsExceededException11.getArguments();
    java.lang.Object[] obj_array14 = maxIterationsExceededException11.getArguments();
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("hi!", obj_array14);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException();
    java.lang.String str18 = mathException17.getPattern();
    java.lang.Object[] obj_array19 = new java.lang.Object[] { str18 };
    java.lang.Object[] obj_array24 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException26 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i27 = maxIterationsExceededException26.getMaxIterations();
    java.lang.Object[] obj_array28 = maxIterationsExceededException26.getArguments();
    java.lang.Object[] obj_array29 = maxIterationsExceededException26.getArguments();
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException("hi!", obj_array24, (java.lang.Throwable)maxIterationsExceededException26);
    java.lang.Object[] obj_array33 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable34 = null;
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException("hi!", obj_array33, throwable34);
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array24, (java.lang.Throwable)mathException35);
    java.lang.Object[] obj_array39 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable40 = null;
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException("hi!", obj_array39, throwable40);
    org.apache.commons.math.ConvergenceException convergenceException42 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array24, (java.lang.Throwable)mathException41);
    org.apache.commons.math.MathException mathException43 = new org.apache.commons.math.MathException("", obj_array19, (java.lang.Throwable)convergenceException42);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException(0.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array14, (java.lang.Throwable)mathException43);
    java.lang.Object[] obj_array50 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException52 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i53 = maxIterationsExceededException52.getMaxIterations();
    java.lang.Object[] obj_array54 = maxIterationsExceededException52.getArguments();
    java.lang.Object[] obj_array55 = maxIterationsExceededException52.getArguments();
    org.apache.commons.math.MathException mathException56 = new org.apache.commons.math.MathException("hi!", obj_array50, (java.lang.Throwable)maxIterationsExceededException52);
    java.lang.Object[] obj_array59 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable60 = null;
    org.apache.commons.math.MathException mathException61 = new org.apache.commons.math.MathException("hi!", obj_array59, throwable60);
    org.apache.commons.math.MathException mathException62 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array50, (java.lang.Throwable)mathException61);
    java.lang.Object[] obj_array65 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable66 = null;
    org.apache.commons.math.MathException mathException67 = new org.apache.commons.math.MathException("hi!", obj_array65, throwable66);
    org.apache.commons.math.ConvergenceException convergenceException68 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array50, (java.lang.Throwable)mathException67);
    org.apache.commons.math.MathException mathException69 = new org.apache.commons.math.MathException();
    java.lang.String str70 = mathException69.getPattern();
    org.apache.commons.math.MathException mathException71 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException69);
    org.apache.commons.math.MathException mathException72 = new org.apache.commons.math.MathException("", obj_array50, (java.lang.Throwable)mathException69);
    org.apache.commons.math.ConvergenceException convergenceException73 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: Maximal number of iterations (0) exceeded", obj_array14, (java.lang.Throwable)mathException72);
    maxIterationsExceededException1.addSuppressed((java.lang.Throwable)mathException72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str2.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str4.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str70);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test380"); }


    double d2 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.midpoint((-4.605170185988072d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-2.302585092994036d));

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test381"); }


    java.lang.Object[] obj_array6 = new java.lang.Object[] { Double.NaN };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException8 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException("", obj_array6, (java.lang.Throwable)maxIterationsExceededException8);
    java.lang.Object[] obj_array10 = maxIterationsExceededException8.getArguments();
    java.lang.Object[] obj_array14 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException16 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i17 = maxIterationsExceededException16.getMaxIterations();
    java.lang.Object[] obj_array18 = maxIterationsExceededException16.getArguments();
    java.lang.Object[] obj_array19 = maxIterationsExceededException16.getArguments();
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("hi!", obj_array14, (java.lang.Throwable)maxIterationsExceededException16);
    java.lang.Object[] obj_array23 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable24 = null;
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("hi!", obj_array23, throwable24);
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array14, (java.lang.Throwable)mathException25);
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("", obj_array10, (java.lang.Throwable)mathException25);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("", obj_array10);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(100.0d, "Evaluation failed for argument = {0}", obj_array10);
    java.lang.Throwable[] throwable_array30 = functionEvaluationException29.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array30);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test382"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str2 = maxIterationsExceededException1.toString();
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException1);
    java.lang.String str4 = maxIterationsExceededException1.getPattern();
    int i5 = maxIterationsExceededException1.getMaxIterations();
    java.lang.Object[] obj_array8 = new java.lang.Object[] { Double.NaN };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException10 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException("", obj_array8, (java.lang.Throwable)maxIterationsExceededException10);
    java.lang.Object[] obj_array12 = maxIterationsExceededException10.getArguments();
    int i13 = maxIterationsExceededException10.getMaxIterations();
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException10);
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException14);
    java.lang.Object[] obj_array20 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException22 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i23 = maxIterationsExceededException22.getMaxIterations();
    java.lang.Object[] obj_array24 = maxIterationsExceededException22.getArguments();
    java.lang.Object[] obj_array25 = maxIterationsExceededException22.getArguments();
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("hi!", obj_array20, (java.lang.Throwable)maxIterationsExceededException22);
    java.lang.Object[] obj_array29 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable30 = null;
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException("hi!", obj_array29, throwable30);
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array20, (java.lang.Throwable)mathException31);
    java.lang.Object[] obj_array35 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable36 = null;
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException("hi!", obj_array35, throwable36);
    org.apache.commons.math.ConvergenceException convergenceException38 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array20, (java.lang.Throwable)mathException37);
    mathException15.addSuppressed((java.lang.Throwable)convergenceException38);
    maxIterationsExceededException1.addSuppressed((java.lang.Throwable)mathException15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str2.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str4.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test383"); }


    double d2 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.midpoint(0.31717988050656987d, 0.38693924833576954d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.3520595644211697d);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test384"); }


    double d3 = org.apache.commons.math.special.Beta.regularizedBeta(0.12341100806601668d, (-1.0d), (-0.9499703443181602d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test385"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.0d, 0.8101504309316963d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test386"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException3 = new org.apache.commons.math.MaxIterationsExceededException(1);
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException3);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), (java.lang.Throwable)mathException4);
    org.apache.commons.math.ConvergenceException convergenceException6 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException4);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(0.38693924833576954d, (java.lang.Throwable)convergenceException6);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test387"); }


    double d4 = org.apache.commons.math.special.Beta.regularizedBeta(0.12341100806601668d, (-2.302585092994036d), 0.31717988050656987d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test388"); }


    org.apache.commons.math.distribution.FDistributionImpl fDistributionImpl2 = new org.apache.commons.math.distribution.FDistributionImpl(4.424353726751487d, 2.2121768633757437d);
    double d3 = fDistributionImpl2.getDenominatorDegreesOfFreedom();
    fDistributionImpl2.setNumeratorDegreesOfFreedom(0.8101504309316963d);
    double d6 = fDistributionImpl2.getDenominatorDegreesOfFreedom();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 2.2121768633757437d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 2.2121768633757437d);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test389"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ((-120.44860118480915d), 1.0d, (-0.9499703443181602d), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test390"); }


    org.apache.commons.math.distribution.FDistributionImpl fDistributionImpl2 = new org.apache.commons.math.distribution.FDistributionImpl(4.424353726751487d, 2.2121768633757437d);
    double d4 = fDistributionImpl2.cumulativeProbability(0.0d);
    double d6 = fDistributionImpl2.cumulativeProbability((-241.8972023696183d));
    double d9 = fDistributionImpl2.cumulativeProbability((-241.8972023696183d), 4.424353726751487d);
    double d10 = fDistributionImpl2.getDenominatorDegreesOfFreedom();
    double d11 = fDistributionImpl2.getNumeratorDegreesOfFreedom();
    double d12 = fDistributionImpl2.getNumeratorDegreesOfFreedom();
    // The following exception was thrown during execution in test generation
    try {
      double d15 = fDistributionImpl2.cumulativeProbability((-0.052327304629020466d), (-5.117083238722458d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.8248778838679155d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 2.2121768633757437d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 4.424353726751487d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 4.424353726751487d);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test391"); }


    java.lang.Object[] obj_array3 = new java.lang.Object[] { Double.NaN };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException5 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.ConvergenceException convergenceException6 = new org.apache.commons.math.ConvergenceException("", obj_array3, (java.lang.Throwable)maxIterationsExceededException5);
    org.apache.commons.math.ConvergenceException convergenceException7 = new org.apache.commons.math.ConvergenceException("", obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test392"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test393"); }


    double d2 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.midpoint(0.4269660832428465d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.21348304162142326d);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test394"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(180.67319111647558d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test395"); }


    double d4 = org.apache.commons.math.special.Beta.regularizedBeta((-5.117083238722458d), 2.2121768633757437d, (-35.28083096823669d), 4.424353726751487d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test396"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException6 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i7 = maxIterationsExceededException6.getMaxIterations();
    java.lang.Object[] obj_array8 = maxIterationsExceededException6.getArguments();
    java.lang.Object[] obj_array9 = maxIterationsExceededException6.getArguments();
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("hi!", obj_array9);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException();
    java.lang.String str13 = mathException12.getPattern();
    java.lang.Object[] obj_array14 = new java.lang.Object[] { str13 };
    java.lang.Object[] obj_array19 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException21 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i22 = maxIterationsExceededException21.getMaxIterations();
    java.lang.Object[] obj_array23 = maxIterationsExceededException21.getArguments();
    java.lang.Object[] obj_array24 = maxIterationsExceededException21.getArguments();
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("hi!", obj_array19, (java.lang.Throwable)maxIterationsExceededException21);
    java.lang.Object[] obj_array28 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable29 = null;
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException("hi!", obj_array28, throwable29);
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array19, (java.lang.Throwable)mathException30);
    java.lang.Object[] obj_array34 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable35 = null;
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException("hi!", obj_array34, throwable35);
    org.apache.commons.math.ConvergenceException convergenceException37 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array19, (java.lang.Throwable)mathException36);
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException("", obj_array14, (java.lang.Throwable)convergenceException37);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException(0.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array9, (java.lang.Throwable)mathException38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(0.21348304162142326d, "", obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test397"); }


    org.apache.commons.math.MathException mathException0 = new org.apache.commons.math.MathException();
    java.lang.String str1 = mathException0.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException0);
    org.apache.commons.math.ConvergenceException convergenceException3 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str1);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test398"); }


    java.lang.Object[] obj_array4 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException6 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i7 = maxIterationsExceededException6.getMaxIterations();
    java.lang.Object[] obj_array8 = maxIterationsExceededException6.getArguments();
    java.lang.Object[] obj_array9 = maxIterationsExceededException6.getArguments();
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("hi!", obj_array4, (java.lang.Throwable)maxIterationsExceededException6);
    java.lang.Object[] obj_array13 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable14 = null;
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("hi!", obj_array13, throwable14);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array4, (java.lang.Throwable)mathException15);
    java.lang.Object[] obj_array23 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable24 = null;
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("hi!", obj_array23, throwable24);
    org.apache.commons.math.ConvergenceException convergenceException26 = new org.apache.commons.math.ConvergenceException("", obj_array23);
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.FunctionEvaluationException: Evaluation failed for argument = 10", obj_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(100.0d, "org.apache.commons.math.FunctionEvaluationException: Evaluation failed for argument = 10", obj_array23);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: Maximal number of iterations (0) exceeded", obj_array4, (java.lang.Throwable)functionEvaluationException28);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException28);
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException30);
    java.lang.String str32 = mathException31.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: Evaluation failed for argument = 10"+ "'", str32.equals("org.apache.commons.math.FunctionEvaluationException: Evaluation failed for argument = 10"));

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test399"); }


    java.lang.Object[] obj_array8 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable9 = null;
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("hi!", obj_array8, throwable9);
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException("", obj_array8);
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.FunctionEvaluationException: Evaluation failed for argument = 10", obj_array8);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException(100.0d, "org.apache.commons.math.FunctionEvaluationException: Evaluation failed for argument = 10", obj_array8);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(100.0d, "org.apache.commons.math.FunctionEvaluationException: Evaluation failed for argument = 10", obj_array8);
    java.lang.String str15 = functionEvaluationException14.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: Evaluation failed for argument = 10"+ "'", str15.equals("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: Evaluation failed for argument = 10"));

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test400"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.solve(univariateRealFunction0, (-1.0d), 0.31717988050656987d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test401"); }


    double d4 = org.apache.commons.math.special.Beta.logBeta(0.0d, Double.NaN, (-4.440892098500626E-16d), 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test402"); }


    org.apache.commons.math.distribution.FDistributionImpl fDistributionImpl2 = new org.apache.commons.math.distribution.FDistributionImpl(4.424353726751487d, 2.2121768633757437d);
    double d4 = fDistributionImpl2.cumulativeProbability(0.0d);
    double d6 = fDistributionImpl2.cumulativeProbability((-241.8972023696183d));
    double d9 = fDistributionImpl2.cumulativeProbability((-241.8972023696183d), 4.424353726751487d);
    double d12 = fDistributionImpl2.cumulativeProbability(0.0d, 0.8248778838679155d);
    double d14 = fDistributionImpl2.cumulativeProbability((-1.151292546497026d));
    double d15 = fDistributionImpl2.getDenominatorDegreesOfFreedom();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.8248778838679155d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.38693924833576954d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 2.2121768633757437d);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test403"); }


    double d3 = org.apache.commons.math.special.Beta.regularizedBeta(0.0d, 0.12341100806601668d, (-120.44860118480915d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test404"); }


    java.lang.Object[] obj_array7 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException9 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i10 = maxIterationsExceededException9.getMaxIterations();
    java.lang.Object[] obj_array11 = maxIterationsExceededException9.getArguments();
    java.lang.Object[] obj_array12 = maxIterationsExceededException9.getArguments();
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("hi!", obj_array7, (java.lang.Throwable)maxIterationsExceededException9);
    java.lang.Object[] obj_array16 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable17 = null;
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("hi!", obj_array16, throwable17);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array7, (java.lang.Throwable)mathException18);
    java.lang.Object[] obj_array22 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable23 = null;
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("hi!", obj_array22, throwable23);
    org.apache.commons.math.ConvergenceException convergenceException25 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array7, (java.lang.Throwable)mathException24);
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array7);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(Double.NaN);
    double d29 = functionEvaluationException28.getArgument();
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: Convergence failed", obj_array7, (java.lang.Throwable)functionEvaluationException28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(0.0d, (java.lang.Throwable)convergenceException30);
    java.lang.String str32 = functionEvaluationException31.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d29, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "org.apache.commons.math.ConvergenceException: Convergence failed"+ "'", str32.equals("org.apache.commons.math.ConvergenceException: Convergence failed"));

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test405"); }


    java.lang.Object[] obj_array11 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable12 = null;
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("hi!", obj_array11, throwable12);
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException("", obj_array11);
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array11);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException17 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str18 = maxIterationsExceededException17.toString();
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException17);
    java.lang.String str20 = maxIterationsExceededException17.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException(359.1342053695754d, "", obj_array11, (java.lang.Throwable)maxIterationsExceededException17);
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: Evaluation failed for argument = 10", obj_array11);
    java.lang.Object[] obj_array26 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException28 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i29 = maxIterationsExceededException28.getMaxIterations();
    java.lang.Object[] obj_array30 = maxIterationsExceededException28.getArguments();
    java.lang.Object[] obj_array31 = maxIterationsExceededException28.getArguments();
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException("hi!", obj_array26, (java.lang.Throwable)maxIterationsExceededException28);
    java.lang.Object[] obj_array36 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException38 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i39 = maxIterationsExceededException38.getMaxIterations();
    java.lang.Object[] obj_array40 = maxIterationsExceededException38.getArguments();
    java.lang.Object[] obj_array41 = maxIterationsExceededException38.getArguments();
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException("hi!", obj_array36, (java.lang.Throwable)maxIterationsExceededException38);
    java.lang.Object[] obj_array45 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable46 = null;
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException("hi!", obj_array45, throwable46);
    org.apache.commons.math.MathException mathException48 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array36, (java.lang.Throwable)mathException47);
    java.lang.Object[] obj_array49 = mathException47.getArguments();
    org.apache.commons.math.MathException mathException50 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array26, (java.lang.Throwable)mathException47);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException((-70.94860118480915d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array11, (java.lang.Throwable)mathException50);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException52 = new org.apache.commons.math.MaxIterationsExceededException(100, "Maximal number of iterations (0) exceeded", obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str18.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str20.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array49);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test406"); }


    double d4 = org.apache.commons.math.special.Beta.regularizedBeta((-18.1002926075588d), (-0.052327304629020466d), 0.0d, (-4.605170185988072d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test407"); }


    java.lang.Object[] obj_array8 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException10 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i11 = maxIterationsExceededException10.getMaxIterations();
    java.lang.Object[] obj_array12 = maxIterationsExceededException10.getArguments();
    java.lang.Object[] obj_array13 = maxIterationsExceededException10.getArguments();
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException("hi!", obj_array8, (java.lang.Throwable)maxIterationsExceededException10);
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException("", obj_array8);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array8);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException17 = new org.apache.commons.math.MaxIterationsExceededException(1, "Evaluation failed for argument = {0}", obj_array8);
    java.lang.Object[] obj_array24 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException26 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i27 = maxIterationsExceededException26.getMaxIterations();
    java.lang.Object[] obj_array28 = maxIterationsExceededException26.getArguments();
    java.lang.Object[] obj_array29 = maxIterationsExceededException26.getArguments();
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException("hi!", obj_array24, (java.lang.Throwable)maxIterationsExceededException26);
    java.lang.Object[] obj_array33 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable34 = null;
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException("hi!", obj_array33, throwable34);
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array24, (java.lang.Throwable)mathException35);
    java.lang.Object[] obj_array39 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable40 = null;
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException("hi!", obj_array39, throwable40);
    org.apache.commons.math.ConvergenceException convergenceException42 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array24, (java.lang.Throwable)mathException41);
    org.apache.commons.math.MathException mathException43 = new org.apache.commons.math.MathException();
    java.lang.String str44 = mathException43.getPattern();
    org.apache.commons.math.MathException mathException45 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException43);
    org.apache.commons.math.MathException mathException46 = new org.apache.commons.math.MathException("", obj_array24, (java.lang.Throwable)mathException43);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException(359.1342053695754d);
    org.apache.commons.math.MathException mathException49 = new org.apache.commons.math.MathException("", obj_array24, (java.lang.Throwable)functionEvaluationException48);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException(0.6343597610131397d, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array8, (java.lang.Throwable)mathException49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str44);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test408"); }


    java.lang.Object[] obj_array11 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable12 = null;
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("hi!", obj_array11, throwable12);
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException("", obj_array11);
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array11);
    java.lang.Throwable throwable16 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(0.0d, "", obj_array11, throwable16);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((-2.302585092994052d), "Maximal number of iterations ({0}) exceeded", obj_array11);
    java.lang.Throwable[] throwable_array19 = functionEvaluationException18.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(Double.NaN, "org.apache.commons.math.ConvergenceException: Convergence failed", (java.lang.Object[])throwable_array19);
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: Maximal number of iterations (-1) exceeded", (java.lang.Object[])throwable_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array19);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test409"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma((-1.151292546497026d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test410"); }


    double d2 = org.apache.commons.math.special.Beta.logBeta(0.0d, (-35.28083096823669d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test411"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException6 = new org.apache.commons.math.MaxIterationsExceededException(1);
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException6);
    java.lang.Object[] obj_array8 = mathException7.getArguments();
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: Evaluation failed for argument = 10", obj_array8);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException11 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str12 = maxIterationsExceededException11.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((-1.151292546497026d), "org.apache.commons.math.MathException: Maximal number of iterations (-1) exceeded", obj_array8, (java.lang.Throwable)maxIterationsExceededException11);
    java.lang.Object[] obj_array14 = functionEvaluationException13.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException16 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str17 = maxIterationsExceededException16.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    maxIterationsExceededException16.addSuppressed((java.lang.Throwable)functionEvaluationException19);
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(756.5503977228898d, "", obj_array14, (java.lang.Throwable)convergenceException21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str12.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str17.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test412"); }


    double d2 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.midpoint((-5.117083238722458d), 1.8610618854708538d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.628010676625802d));

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test413"); }


    java.lang.Object[] obj_array6 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable7 = null;
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("hi!", obj_array6, throwable7);
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException("", obj_array6);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array6);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException12 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str13 = maxIterationsExceededException12.toString();
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException12);
    java.lang.String str15 = maxIterationsExceededException12.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException(359.1342053695754d, "", obj_array6, (java.lang.Throwable)maxIterationsExceededException12);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException16);
    java.lang.String str18 = mathException17.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str13.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str15.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.MathException: "+ "'", str18.equals("org.apache.commons.math.MathException: "));

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test414"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(2.2121768633757437d, 0.8248778960694054d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.15357218284541152d);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test415"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.solve(univariateRealFunction0, (-2.302585092994052d), 0.8248778960694054d, (-120.44860118480915d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test416"); }


    java.lang.Object[] obj_array10 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable11 = null;
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("hi!", obj_array10, throwable11);
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException("", obj_array10);
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array10);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException16 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str17 = maxIterationsExceededException16.toString();
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException16);
    java.lang.String str19 = maxIterationsExceededException16.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(359.1342053695754d, "", obj_array10, (java.lang.Throwable)maxIterationsExceededException16);
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: Evaluation failed for argument = 10", obj_array10);
    java.lang.Object[] obj_array25 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException27 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i28 = maxIterationsExceededException27.getMaxIterations();
    java.lang.Object[] obj_array29 = maxIterationsExceededException27.getArguments();
    java.lang.Object[] obj_array30 = maxIterationsExceededException27.getArguments();
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException("hi!", obj_array25, (java.lang.Throwable)maxIterationsExceededException27);
    java.lang.Object[] obj_array35 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException37 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i38 = maxIterationsExceededException37.getMaxIterations();
    java.lang.Object[] obj_array39 = maxIterationsExceededException37.getArguments();
    java.lang.Object[] obj_array40 = maxIterationsExceededException37.getArguments();
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException("hi!", obj_array35, (java.lang.Throwable)maxIterationsExceededException37);
    java.lang.Object[] obj_array44 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable45 = null;
    org.apache.commons.math.MathException mathException46 = new org.apache.commons.math.MathException("hi!", obj_array44, throwable45);
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array35, (java.lang.Throwable)mathException46);
    java.lang.Object[] obj_array48 = mathException46.getArguments();
    org.apache.commons.math.MathException mathException49 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array25, (java.lang.Throwable)mathException46);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException((-70.94860118480915d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array10, (java.lang.Throwable)mathException49);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException((-18.1002926075588d), (java.lang.Throwable)mathException49);
    double d52 = functionEvaluationException51.getArgument();
    java.lang.String str53 = functionEvaluationException51.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str17.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str19.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == (-18.1002926075588d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str53 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: Maximal number of iterations (1) exceeded"+ "'", str53.equals("org.apache.commons.math.FunctionEvaluationException: Maximal number of iterations (1) exceeded"));

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test417"); }


    java.lang.Object[] obj_array8 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException10 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i11 = maxIterationsExceededException10.getMaxIterations();
    java.lang.Object[] obj_array12 = maxIterationsExceededException10.getArguments();
    java.lang.Object[] obj_array13 = maxIterationsExceededException10.getArguments();
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException("hi!", obj_array8, (java.lang.Throwable)maxIterationsExceededException10);
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException("", obj_array8);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array8);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array8);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("hi!", obj_array8);
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: Maximal number of iterations (0) exceeded", obj_array8);
    java.lang.Object[] obj_array27 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable28 = null;
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("hi!", obj_array27, throwable28);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("", obj_array27);
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array27);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException33 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str34 = maxIterationsExceededException33.toString();
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException33);
    java.lang.String str36 = maxIterationsExceededException33.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException(359.1342053695754d, "", obj_array27, (java.lang.Throwable)maxIterationsExceededException33);
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException37);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException((-2.302585092994052d), (java.lang.Throwable)functionEvaluationException37);
    java.lang.String str40 = functionEvaluationException39.toString();
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException("", obj_array8, (java.lang.Throwable)functionEvaluationException39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str34.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str36.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: "+ "'", str40.equals("org.apache.commons.math.FunctionEvaluationException: "));

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test418"); }


    double d5 = org.apache.commons.math.special.Beta.regularizedBeta(2.2121768633757437d, 1.8610618854708538d, 1.8610618854708538d, (-0.052327304629020466d), (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test419"); }


    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException();
    java.lang.String str5 = mathException4.getPattern();
    java.lang.Object[] obj_array6 = new java.lang.Object[] { str5 };
    java.lang.Object[] obj_array11 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException13 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i14 = maxIterationsExceededException13.getMaxIterations();
    java.lang.Object[] obj_array15 = maxIterationsExceededException13.getArguments();
    java.lang.Object[] obj_array16 = maxIterationsExceededException13.getArguments();
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("hi!", obj_array11, (java.lang.Throwable)maxIterationsExceededException13);
    java.lang.Object[] obj_array20 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable21 = null;
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException("hi!", obj_array20, throwable21);
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array11, (java.lang.Throwable)mathException22);
    java.lang.Object[] obj_array26 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable27 = null;
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException("hi!", obj_array26, throwable27);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array11, (java.lang.Throwable)mathException28);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException("", obj_array6, (java.lang.Throwable)convergenceException29);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("", obj_array6);
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: ", obj_array6);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException38 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i39 = maxIterationsExceededException38.getMaxIterations();
    java.lang.Object[] obj_array40 = maxIterationsExceededException38.getArguments();
    java.lang.Object[] obj_array41 = maxIterationsExceededException38.getArguments();
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException("hi!", obj_array41);
    java.lang.Object[] obj_array48 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException50 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i51 = maxIterationsExceededException50.getMaxIterations();
    java.lang.Object[] obj_array52 = maxIterationsExceededException50.getArguments();
    java.lang.Object[] obj_array53 = maxIterationsExceededException50.getArguments();
    org.apache.commons.math.MathException mathException54 = new org.apache.commons.math.MathException("hi!", obj_array48, (java.lang.Throwable)maxIterationsExceededException50);
    java.lang.Object[] obj_array57 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable58 = null;
    org.apache.commons.math.MathException mathException59 = new org.apache.commons.math.MathException("hi!", obj_array57, throwable58);
    org.apache.commons.math.MathException mathException60 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array48, (java.lang.Throwable)mathException59);
    java.lang.Object[] obj_array63 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable64 = null;
    org.apache.commons.math.MathException mathException65 = new org.apache.commons.math.MathException("hi!", obj_array63, throwable64);
    org.apache.commons.math.ConvergenceException convergenceException66 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array48, (java.lang.Throwable)mathException65);
    org.apache.commons.math.MathException mathException67 = new org.apache.commons.math.MathException();
    java.lang.String str68 = mathException67.getPattern();
    org.apache.commons.math.MathException mathException69 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException67);
    org.apache.commons.math.MathException mathException70 = new org.apache.commons.math.MathException("", obj_array48, (java.lang.Throwable)mathException67);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException71 = new org.apache.commons.math.FunctionEvaluationException(100.0d, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array41, (java.lang.Throwable)mathException70);
    java.lang.Object[] obj_array81 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable82 = null;
    org.apache.commons.math.MathException mathException83 = new org.apache.commons.math.MathException("hi!", obj_array81, throwable82);
    org.apache.commons.math.ConvergenceException convergenceException84 = new org.apache.commons.math.ConvergenceException("", obj_array81);
    org.apache.commons.math.MathException mathException85 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array81);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException86 = new org.apache.commons.math.MaxIterationsExceededException(10, "Maximal number of iterations ({0}) exceeded", obj_array81);
    org.apache.commons.math.MathException mathException87 = new org.apache.commons.math.MathException();
    org.apache.commons.math.MathException mathException88 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array81, (java.lang.Throwable)mathException87);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException89 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.FunctionEvaluationException: Evaluation failed for argument = 10", obj_array81);
    org.apache.commons.math.MathException mathException90 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array41, (java.lang.Throwable)maxIterationsExceededException89);
    org.apache.commons.math.MathException mathException91 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array6, (java.lang.Throwable)mathException90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array81);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test420"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException5 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i6 = maxIterationsExceededException5.getMaxIterations();
    java.lang.Object[] obj_array7 = maxIterationsExceededException5.getArguments();
    java.lang.Object[] obj_array8 = maxIterationsExceededException5.getArguments();
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("hi!", obj_array8);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException();
    java.lang.String str12 = mathException11.getPattern();
    java.lang.Object[] obj_array13 = new java.lang.Object[] { str12 };
    java.lang.Object[] obj_array18 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException20 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i21 = maxIterationsExceededException20.getMaxIterations();
    java.lang.Object[] obj_array22 = maxIterationsExceededException20.getArguments();
    java.lang.Object[] obj_array23 = maxIterationsExceededException20.getArguments();
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("hi!", obj_array18, (java.lang.Throwable)maxIterationsExceededException20);
    java.lang.Object[] obj_array27 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable28 = null;
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("hi!", obj_array27, throwable28);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array18, (java.lang.Throwable)mathException29);
    java.lang.Object[] obj_array33 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable34 = null;
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException("hi!", obj_array33, throwable34);
    org.apache.commons.math.ConvergenceException convergenceException36 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array18, (java.lang.Throwable)mathException35);
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException("", obj_array13, (java.lang.Throwable)convergenceException36);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException(0.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array8, (java.lang.Throwable)mathException37);
    org.apache.commons.math.ConvergenceException convergenceException39 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: Maximal number of iterations (0) exceeded", obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test421"); }


    double d3 = org.apache.commons.math.special.Beta.regularizedBeta((-2.302585092994052d), (-5.117083238722458d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test422"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.0d, 1.0d, (-18.1002926075588d), 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test423"); }


    double d2 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.midpoint(Double.NaN, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test424"); }


    java.lang.Object[] obj_array5 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException7 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i8 = maxIterationsExceededException7.getMaxIterations();
    java.lang.Object[] obj_array9 = maxIterationsExceededException7.getArguments();
    java.lang.Object[] obj_array10 = maxIterationsExceededException7.getArguments();
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("hi!", obj_array5, (java.lang.Throwable)maxIterationsExceededException7);
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException("", obj_array5);
    java.lang.Throwable[] throwable_array13 = convergenceException12.getSuppressed();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException15 = new org.apache.commons.math.MaxIterationsExceededException(1);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException15);
    java.lang.Object[] obj_array17 = mathException16.getArguments();
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: Maximal number of iterations (0) exceeded", (java.lang.Object[])throwable_array13, (java.lang.Throwable)mathException16);
    java.lang.Object[] obj_array23 = new java.lang.Object[] { Double.NaN };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException25 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.ConvergenceException convergenceException26 = new org.apache.commons.math.ConvergenceException("", obj_array23, (java.lang.Throwable)maxIterationsExceededException25);
    java.lang.Throwable[] throwable_array27 = convergenceException26.getSuppressed();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException32 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i33 = maxIterationsExceededException32.getMaxIterations();
    java.lang.Object[] obj_array34 = maxIterationsExceededException32.getArguments();
    java.lang.Object[] obj_array35 = maxIterationsExceededException32.getArguments();
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException("hi!", obj_array35);
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException();
    java.lang.String str39 = mathException38.getPattern();
    java.lang.Object[] obj_array40 = new java.lang.Object[] { str39 };
    java.lang.Object[] obj_array45 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException47 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i48 = maxIterationsExceededException47.getMaxIterations();
    java.lang.Object[] obj_array49 = maxIterationsExceededException47.getArguments();
    java.lang.Object[] obj_array50 = maxIterationsExceededException47.getArguments();
    org.apache.commons.math.MathException mathException51 = new org.apache.commons.math.MathException("hi!", obj_array45, (java.lang.Throwable)maxIterationsExceededException47);
    java.lang.Object[] obj_array54 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable55 = null;
    org.apache.commons.math.MathException mathException56 = new org.apache.commons.math.MathException("hi!", obj_array54, throwable55);
    org.apache.commons.math.MathException mathException57 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array45, (java.lang.Throwable)mathException56);
    java.lang.Object[] obj_array60 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable61 = null;
    org.apache.commons.math.MathException mathException62 = new org.apache.commons.math.MathException("hi!", obj_array60, throwable61);
    org.apache.commons.math.ConvergenceException convergenceException63 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array45, (java.lang.Throwable)mathException62);
    org.apache.commons.math.MathException mathException64 = new org.apache.commons.math.MathException("", obj_array40, (java.lang.Throwable)convergenceException63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException(0.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array35, (java.lang.Throwable)mathException64);
    org.apache.commons.math.MathException mathException66 = new org.apache.commons.math.MathException("", (java.lang.Object[])throwable_array27, (java.lang.Throwable)functionEvaluationException65);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException(100.0d, (java.lang.Throwable)mathException66);
    org.apache.commons.math.ConvergenceException convergenceException68 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: Evaluation failed for argument = 10", (java.lang.Object[])throwable_array13, (java.lang.Throwable)mathException66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array60);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test425"); }


    org.apache.commons.math.distribution.FDistributionImpl fDistributionImpl2 = new org.apache.commons.math.distribution.FDistributionImpl(4.424353726751487d, 2.2121768633757437d);
    double d4 = fDistributionImpl2.cumulativeProbability(0.0d);
    double d6 = fDistributionImpl2.cumulativeProbability((-241.8972023696183d));
    double d7 = fDistributionImpl2.getNumeratorDegreesOfFreedom();
    double d10 = fDistributionImpl2.cumulativeProbability(0.0d, 359.1342053695754d);
    fDistributionImpl2.setNumeratorDegreesOfFreedom(0.9983761531872986d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 4.424353726751487d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.9983761531872986d);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test426"); }


    java.lang.Throwable throwable1 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException2 = new org.apache.commons.math.FunctionEvaluationException(0.0d, throwable1);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test427"); }


    java.lang.Object[] obj_array7 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable8 = null;
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("hi!", obj_array7, throwable8);
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException("", obj_array7);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array7);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException13 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str14 = maxIterationsExceededException13.toString();
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException13);
    java.lang.String str16 = maxIterationsExceededException13.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(359.1342053695754d, "", obj_array7, (java.lang.Throwable)maxIterationsExceededException13);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException19 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str20 = maxIterationsExceededException19.toString();
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException19);
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException("", obj_array7, (java.lang.Throwable)maxIterationsExceededException19);
    int i23 = maxIterationsExceededException19.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str14.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str16.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str20.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test428"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(0.8248778838679155d);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test429"); }


    java.lang.Object[] obj_array12 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable13 = null;
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException("hi!", obj_array12, throwable13);
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException("", obj_array12);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array12);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException18 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str19 = maxIterationsExceededException18.toString();
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException18);
    java.lang.String str21 = maxIterationsExceededException18.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(359.1342053695754d, "", obj_array12, (java.lang.Throwable)maxIterationsExceededException18);
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: Evaluation failed for argument = 10", obj_array12);
    java.lang.Object[] obj_array29 = new java.lang.Object[] { Double.NaN };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException31 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException("", obj_array29, (java.lang.Throwable)maxIterationsExceededException31);
    java.lang.Object[] obj_array33 = maxIterationsExceededException31.getArguments();
    java.lang.Object[] obj_array37 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException39 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i40 = maxIterationsExceededException39.getMaxIterations();
    java.lang.Object[] obj_array41 = maxIterationsExceededException39.getArguments();
    java.lang.Object[] obj_array42 = maxIterationsExceededException39.getArguments();
    org.apache.commons.math.MathException mathException43 = new org.apache.commons.math.MathException("hi!", obj_array37, (java.lang.Throwable)maxIterationsExceededException39);
    java.lang.Object[] obj_array46 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable47 = null;
    org.apache.commons.math.MathException mathException48 = new org.apache.commons.math.MathException("hi!", obj_array46, throwable47);
    org.apache.commons.math.MathException mathException49 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array37, (java.lang.Throwable)mathException48);
    org.apache.commons.math.MathException mathException50 = new org.apache.commons.math.MathException("", obj_array33, (java.lang.Throwable)mathException48);
    org.apache.commons.math.MathException mathException51 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException48);
    java.lang.Throwable[] throwable_array52 = mathException48.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException(Double.NaN, "", (java.lang.Object[])throwable_array52);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "Maximal number of iterations ({0}) exceeded", obj_array12, (java.lang.Throwable)functionEvaluationException53);
    org.apache.commons.math.ConvergenceException convergenceException55 = new org.apache.commons.math.ConvergenceException();
    java.lang.String str56 = convergenceException55.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException((-69.27444689618397d), "Maximal number of iterations ({0}) exceeded", obj_array12, (java.lang.Throwable)convergenceException55);
    org.apache.commons.math.ConvergenceException convergenceException58 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array12);
    java.lang.String str59 = convergenceException58.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str19.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str21.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str56 + "' != '" + "org.apache.commons.math.ConvergenceException: Convergence failed"+ "'", str56.equals("org.apache.commons.math.ConvergenceException: Convergence failed"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str59 + "' != '" + "org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str59.equals("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test430"); }


    java.lang.Object[] obj_array11 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable12 = null;
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("hi!", obj_array11, throwable12);
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException("", obj_array11);
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array11);
    java.lang.Throwable throwable16 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(0.0d, "", obj_array11, throwable16);
    java.lang.Object[] obj_array23 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException25 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i26 = maxIterationsExceededException25.getMaxIterations();
    java.lang.Object[] obj_array27 = maxIterationsExceededException25.getArguments();
    java.lang.Object[] obj_array28 = maxIterationsExceededException25.getArguments();
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("hi!", obj_array23, (java.lang.Throwable)maxIterationsExceededException25);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("", obj_array23);
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array23);
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException(100.0d, "", obj_array11, (java.lang.Throwable)mathException32);
    java.lang.Object[] obj_array38 = new java.lang.Object[] { Double.NaN };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException40 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.ConvergenceException convergenceException41 = new org.apache.commons.math.ConvergenceException("", obj_array38, (java.lang.Throwable)maxIterationsExceededException40);
    java.lang.Object[] obj_array42 = maxIterationsExceededException40.getArguments();
    java.lang.Object[] obj_array46 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException48 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i49 = maxIterationsExceededException48.getMaxIterations();
    java.lang.Object[] obj_array50 = maxIterationsExceededException48.getArguments();
    java.lang.Object[] obj_array51 = maxIterationsExceededException48.getArguments();
    org.apache.commons.math.MathException mathException52 = new org.apache.commons.math.MathException("hi!", obj_array46, (java.lang.Throwable)maxIterationsExceededException48);
    java.lang.Object[] obj_array55 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable56 = null;
    org.apache.commons.math.MathException mathException57 = new org.apache.commons.math.MathException("hi!", obj_array55, throwable56);
    org.apache.commons.math.MathException mathException58 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array46, (java.lang.Throwable)mathException57);
    org.apache.commons.math.MathException mathException59 = new org.apache.commons.math.MathException("", obj_array42, (java.lang.Throwable)mathException57);
    org.apache.commons.math.ConvergenceException convergenceException60 = new org.apache.commons.math.ConvergenceException("", obj_array42);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException61 = new org.apache.commons.math.FunctionEvaluationException((-1.3766765505351941E-14d), "", obj_array11, (java.lang.Throwable)convergenceException60);
    org.apache.commons.math.ConvergenceException convergenceException62 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: Convergence failed", obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array55);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test431"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.21348304162142326d, (-120.44860118480915d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test432"); }


    double d2 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.midpoint(2.2121768633757437d, (-4.440892098500626E-16d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.1060884316878716d);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test433"); }


    double d5 = org.apache.commons.math.special.Beta.regularizedBeta((-1.628010676625802d), 100.0d, 100.0d, (-1.151292546497026d), 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test434"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException3 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str4 = maxIterationsExceededException3.toString();
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException3);
    java.lang.String str6 = maxIterationsExceededException3.getPattern();
    java.lang.Throwable[] throwable_array7 = maxIterationsExceededException3.getSuppressed();
    java.lang.Object[] obj_array12 = new java.lang.Object[] { Double.NaN };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException14 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException("", obj_array12, (java.lang.Throwable)maxIterationsExceededException14);
    java.lang.Object[] obj_array16 = maxIterationsExceededException14.getArguments();
    java.lang.Object[] obj_array20 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException22 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i23 = maxIterationsExceededException22.getMaxIterations();
    java.lang.Object[] obj_array24 = maxIterationsExceededException22.getArguments();
    java.lang.Object[] obj_array25 = maxIterationsExceededException22.getArguments();
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("hi!", obj_array20, (java.lang.Throwable)maxIterationsExceededException22);
    java.lang.Object[] obj_array29 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable30 = null;
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException("hi!", obj_array29, throwable30);
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array20, (java.lang.Throwable)mathException31);
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException("", obj_array16, (java.lang.Throwable)mathException31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException(0.0d, (java.lang.Throwable)mathException33);
    double d35 = functionEvaluationException34.getArgument();
    double d36 = functionEvaluationException34.getArgument();
    org.apache.commons.math.ConvergenceException convergenceException37 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.FunctionEvaluationException: Evaluation failed for argument = 10", (java.lang.Object[])throwable_array7, (java.lang.Throwable)functionEvaluationException34);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException(0.016548811916448882d, (java.lang.Throwable)convergenceException37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str4.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str6.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.0d);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test435"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(1);
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException1);
    int i3 = maxIterationsExceededException1.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test436"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    double d2 = functionEvaluationException1.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.0d));

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test437"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    double d2 = functionEvaluationException1.getArgument();
    double d3 = functionEvaluationException1.getArgument();
    double d4 = functionEvaluationException1.getArgument();
    double d5 = functionEvaluationException1.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 10.0d);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test438"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma((-1.3766765505351941E-14d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test439"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.bracket(univariateRealFunction0, (-4.440892098500626E-16d), 1.0d, (-35.28083096823669d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test440"); }


    double d5 = org.apache.commons.math.special.Beta.regularizedBeta(4.054833958977294d, (-5.117083238722458d), 0.12341100806601668d, 0.4269660832428465d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test441"); }


    org.apache.commons.math.distribution.FDistributionImpl fDistributionImpl2 = new org.apache.commons.math.distribution.FDistributionImpl(4.424353726751487d, 2.2121768633757437d);
    double d4 = fDistributionImpl2.cumulativeProbability(0.0d);
    double d6 = fDistributionImpl2.cumulativeProbability((-241.8972023696183d));
    fDistributionImpl2.setDenominatorDegreesOfFreedom(0.21348304162142326d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test442"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP((-120.44860118480915d), 0.12341100806601668d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test443"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.9027792165662616d, 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test444"); }


    org.apache.commons.math.distribution.FDistributionImpl fDistributionImpl2 = new org.apache.commons.math.distribution.FDistributionImpl(4.424353726751487d, 2.2121768633757437d);
    double d4 = fDistributionImpl2.cumulativeProbability(0.0d);
    double d6 = fDistributionImpl2.cumulativeProbability((-241.8972023696183d));
    double d9 = fDistributionImpl2.cumulativeProbability((-241.8972023696183d), 4.424353726751487d);
    double d12 = fDistributionImpl2.cumulativeProbability(0.0d, 0.8248778838679155d);
    // The following exception was thrown during execution in test generation
    try {
      double d14 = fDistributionImpl2.inverseCumulativeProbability(10.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.8248778838679155d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.38693924833576954d);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test445"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(0.9983761531872986d);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test446"); }


    org.apache.commons.math.distribution.FDistributionImpl fDistributionImpl2 = new org.apache.commons.math.distribution.FDistributionImpl(4.424353726751487d, 2.2121768633757437d);
    double d4 = fDistributionImpl2.cumulativeProbability(0.0d);
    double d6 = fDistributionImpl2.cumulativeProbability((-241.8972023696183d));
    double d9 = fDistributionImpl2.cumulativeProbability((-241.8972023696183d), 4.424353726751487d);
    double d10 = fDistributionImpl2.getDenominatorDegreesOfFreedom();
    fDistributionImpl2.setDenominatorDegreesOfFreedom(0.9983761531872986d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.8248778838679155d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 2.2121768633757437d);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test447"); }


    double d4 = org.apache.commons.math.special.Beta.regularizedBeta((-2.302585092994036d), (-1.3766765505351941E-14d), 1.1060884316878716d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test448"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP((-1.3766765505351941E-14d), 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test449"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException5 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i6 = maxIterationsExceededException5.getMaxIterations();
    java.lang.Object[] obj_array7 = maxIterationsExceededException5.getArguments();
    java.lang.Object[] obj_array8 = maxIterationsExceededException5.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((-70.94860118480915d), "org.apache.commons.math.MathException: Maximal number of iterations (0) exceeded", obj_array8);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((-120.44860118480915d), "org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: Maximal number of iterations (0) exceeded", obj_array8);
    java.lang.String str11 = functionEvaluationException10.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: Maximal number of iterations (0) exceeded"+ "'", str11.equals("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: Maximal number of iterations (0) exceeded"));

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test450"); }


    org.apache.commons.math.distribution.FDistributionImpl fDistributionImpl2 = new org.apache.commons.math.distribution.FDistributionImpl(4.424353726751487d, 2.2121768633757437d);
    double d4 = fDistributionImpl2.cumulativeProbability(0.0d);
    double d6 = fDistributionImpl2.cumulativeProbability((-241.8972023696183d));
    double d9 = fDistributionImpl2.cumulativeProbability((-241.8972023696183d), 4.424353726751487d);
    double d10 = fDistributionImpl2.getDenominatorDegreesOfFreedom();
    double d12 = fDistributionImpl2.inverseCumulativeProbability(0.0d);
    double d13 = fDistributionImpl2.getNumeratorDegreesOfFreedom();
    double d16 = fDistributionImpl2.cumulativeProbability(0.0d, 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.8248778838679155d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 2.2121768633757437d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 4.424353726751487d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.44717868497087043d);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test451"); }


    double d4 = org.apache.commons.math.special.Beta.regularizedBeta(0.44717868497087043d, (-70.94860118480915d), (-241.8972023696183d), 0.8248778838679155d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test452"); }


    org.apache.commons.math.distribution.FDistributionImpl fDistributionImpl2 = new org.apache.commons.math.distribution.FDistributionImpl(4.424353726751487d, 2.2121768633757437d);
    double d4 = fDistributionImpl2.cumulativeProbability(0.0d);
    double d6 = fDistributionImpl2.cumulativeProbability((-241.8972023696183d));
    double d7 = fDistributionImpl2.getNumeratorDegreesOfFreedom();
    double d10 = fDistributionImpl2.cumulativeProbability(0.0d, 359.1342053695754d);
    fDistributionImpl2.setNumeratorDegreesOfFreedom(359.1342053695754d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 4.424353726751487d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.9983761531872986d);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test453"); }


    double d4 = org.apache.commons.math.special.Beta.logBeta(0.3520595644211697d, 756.5503977228898d, 100.0d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-1.4050891667475298d));

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test454"); }


    java.lang.Object[] obj_array2 = new java.lang.Object[] { Double.NaN };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException4 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.ConvergenceException convergenceException5 = new org.apache.commons.math.ConvergenceException("", obj_array2, (java.lang.Throwable)maxIterationsExceededException4);
    java.lang.Object[] obj_array6 = maxIterationsExceededException4.getArguments();
    int i7 = maxIterationsExceededException4.getMaxIterations();
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException4);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException8);
    java.lang.Object[] obj_array19 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable20 = null;
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("hi!", obj_array19, throwable20);
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException("", obj_array19);
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array19);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException25 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str26 = maxIterationsExceededException25.toString();
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException25);
    java.lang.String str28 = maxIterationsExceededException25.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(359.1342053695754d, "", obj_array19, (java.lang.Throwable)maxIterationsExceededException25);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: Evaluation failed for argument = 10", obj_array19);
    java.lang.Object[] obj_array34 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException36 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i37 = maxIterationsExceededException36.getMaxIterations();
    java.lang.Object[] obj_array38 = maxIterationsExceededException36.getArguments();
    java.lang.Object[] obj_array39 = maxIterationsExceededException36.getArguments();
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException("hi!", obj_array34, (java.lang.Throwable)maxIterationsExceededException36);
    java.lang.Object[] obj_array44 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException46 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i47 = maxIterationsExceededException46.getMaxIterations();
    java.lang.Object[] obj_array48 = maxIterationsExceededException46.getArguments();
    java.lang.Object[] obj_array49 = maxIterationsExceededException46.getArguments();
    org.apache.commons.math.MathException mathException50 = new org.apache.commons.math.MathException("hi!", obj_array44, (java.lang.Throwable)maxIterationsExceededException46);
    java.lang.Object[] obj_array53 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable54 = null;
    org.apache.commons.math.MathException mathException55 = new org.apache.commons.math.MathException("hi!", obj_array53, throwable54);
    org.apache.commons.math.MathException mathException56 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array44, (java.lang.Throwable)mathException55);
    java.lang.Object[] obj_array57 = mathException55.getArguments();
    org.apache.commons.math.MathException mathException58 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array34, (java.lang.Throwable)mathException55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException((-70.94860118480915d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array19, (java.lang.Throwable)mathException58);
    mathException8.addSuppressed((java.lang.Throwable)functionEvaluationException59);
    double d61 = functionEvaluationException59.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str26.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str28.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == (-70.94860118480915d));

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test455"); }


    org.apache.commons.math.distribution.FDistributionImpl fDistributionImpl2 = new org.apache.commons.math.distribution.FDistributionImpl(4.424353726751487d, 2.2121768633757437d);
    double d4 = fDistributionImpl2.cumulativeProbability(0.0d);
    double d6 = fDistributionImpl2.cumulativeProbability((-241.8972023696183d));
    double d9 = fDistributionImpl2.cumulativeProbability((-241.8972023696183d), 4.424353726751487d);
    double d12 = fDistributionImpl2.cumulativeProbability(0.0d, 0.8248778838679155d);
    fDistributionImpl2.setNumeratorDegreesOfFreedom(4.424353726751487d);
    double d15 = fDistributionImpl2.getDenominatorDegreesOfFreedom();
    double d16 = fDistributionImpl2.getNumeratorDegreesOfFreedom();
    // The following exception was thrown during execution in test generation
    try {
      double d18 = fDistributionImpl2.inverseCumulativeProbability((-70.94860118480915d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.8248778838679155d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.38693924833576954d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 2.2121768633757437d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 4.424353726751487d);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test456"); }


    double d4 = org.apache.commons.math.special.Beta.regularizedBeta(359.1342053695754d, 4.424353726751487d, 0.0d, 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test457"); }


    java.lang.Object[] obj_array5 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException7 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i8 = maxIterationsExceededException7.getMaxIterations();
    java.lang.Object[] obj_array9 = maxIterationsExceededException7.getArguments();
    java.lang.Object[] obj_array10 = maxIterationsExceededException7.getArguments();
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("hi!", obj_array5, (java.lang.Throwable)maxIterationsExceededException7);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable15 = null;
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("hi!", obj_array14, throwable15);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array5, (java.lang.Throwable)mathException16);
    java.lang.Object[] obj_array24 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable25 = null;
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("hi!", obj_array24, throwable25);
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("", obj_array24);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.FunctionEvaluationException: Evaluation failed for argument = 10", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(100.0d, "org.apache.commons.math.FunctionEvaluationException: Evaluation failed for argument = 10", obj_array24);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: Maximal number of iterations (0) exceeded", obj_array5, (java.lang.Throwable)functionEvaluationException29);
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException29);
    java.lang.Object[] obj_array32 = mathException31.getArguments();
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: Evaluation failed for argument = 10", obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test458"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.solve(univariateRealFunction0, 100.0d, (-4.440892098500626E-16d), (-5.117083238722458d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test459"); }


    org.apache.commons.math.distribution.FDistributionImpl fDistributionImpl2 = new org.apache.commons.math.distribution.FDistributionImpl(4.424353726751487d, 2.2121768633757437d);
    double d4 = fDistributionImpl2.cumulativeProbability(0.0d);
    double d6 = fDistributionImpl2.cumulativeProbability((-241.8972023696183d));
    double d9 = fDistributionImpl2.cumulativeProbability((-241.8972023696183d), 4.424353726751487d);
    double d10 = fDistributionImpl2.getDenominatorDegreesOfFreedom();
    double d11 = fDistributionImpl2.getDenominatorDegreesOfFreedom();
    double d13 = fDistributionImpl2.cumulativeProbability((-70.94860118480915d));
    double d14 = fDistributionImpl2.getNumeratorDegreesOfFreedom();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.8248778838679155d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 2.2121768633757437d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 2.2121768633757437d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 4.424353726751487d);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test460"); }


    java.lang.Object[] obj_array7 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException9 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i10 = maxIterationsExceededException9.getMaxIterations();
    java.lang.Object[] obj_array11 = maxIterationsExceededException9.getArguments();
    java.lang.Object[] obj_array12 = maxIterationsExceededException9.getArguments();
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("hi!", obj_array7, (java.lang.Throwable)maxIterationsExceededException9);
    java.lang.Object[] obj_array16 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable17 = null;
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("hi!", obj_array16, throwable17);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array7, (java.lang.Throwable)mathException18);
    java.lang.Object[] obj_array22 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable23 = null;
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("hi!", obj_array22, throwable23);
    org.apache.commons.math.ConvergenceException convergenceException25 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array7, (java.lang.Throwable)mathException24);
    java.lang.Throwable throwable26 = null;
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array7, throwable26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(10.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array7);
    java.lang.String str29 = functionEvaluationException28.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str29.equals("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test461"); }


    double d2 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.midpoint(0.8248778960694054d, 0.38693924833576954d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6059085722025874d);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test462"); }


    java.lang.Object[] obj_array9 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException11 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i12 = maxIterationsExceededException11.getMaxIterations();
    java.lang.Object[] obj_array13 = maxIterationsExceededException11.getArguments();
    java.lang.Object[] obj_array14 = maxIterationsExceededException11.getArguments();
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("hi!", obj_array9, (java.lang.Throwable)maxIterationsExceededException11);
    java.lang.Object[] obj_array18 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable19 = null;
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("hi!", obj_array18, throwable19);
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array9, (java.lang.Throwable)mathException20);
    java.lang.Object[] obj_array24 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable25 = null;
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("hi!", obj_array24, throwable25);
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array9, (java.lang.Throwable)mathException26);
    java.lang.Throwable throwable28 = null;
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array9, throwable28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(10.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array9);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException31 = new org.apache.commons.math.MaxIterationsExceededException((-1), "Maximal number of iterations ({0}) exceeded", obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test463"); }


    org.apache.commons.math.distribution.FDistributionImpl fDistributionImpl2 = new org.apache.commons.math.distribution.FDistributionImpl(4.424353726751487d, 2.2121768633757437d);
    double d4 = fDistributionImpl2.cumulativeProbability(0.0d);
    double d6 = fDistributionImpl2.cumulativeProbability(4.054833958977294d);
    // The following exception was thrown during execution in test generation
    try {
      fDistributionImpl2.setNumeratorDegreesOfFreedom((-35.28083096823669d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.8101504309316963d);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test464"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.solve(univariateRealFunction0, 10.0d, (-120.44860118480915d), 0.31717988050656987d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test465"); }


    double d2 = org.apache.commons.math.special.Beta.logBeta((-0.052327304629020466d), (-70.94860118480915d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test466"); }


    java.lang.Object[] obj_array3 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException5 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i6 = maxIterationsExceededException5.getMaxIterations();
    java.lang.Object[] obj_array7 = maxIterationsExceededException5.getArguments();
    java.lang.Object[] obj_array8 = maxIterationsExceededException5.getArguments();
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("hi!", obj_array3, (java.lang.Throwable)maxIterationsExceededException5);
    java.lang.Object[] obj_array13 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException15 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i16 = maxIterationsExceededException15.getMaxIterations();
    java.lang.Object[] obj_array17 = maxIterationsExceededException15.getArguments();
    java.lang.Object[] obj_array18 = maxIterationsExceededException15.getArguments();
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("hi!", obj_array13, (java.lang.Throwable)maxIterationsExceededException15);
    java.lang.Object[] obj_array22 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable23 = null;
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("hi!", obj_array22, throwable23);
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array13, (java.lang.Throwable)mathException24);
    java.lang.Object[] obj_array26 = mathException24.getArguments();
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array3, (java.lang.Throwable)mathException24);
    java.lang.String str28 = mathException24.getPattern();
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException24);
    java.lang.Object[] obj_array30 = mathException29.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "hi!"+ "'", str28.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test467"); }


    java.lang.Object[] obj_array7 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException9 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i10 = maxIterationsExceededException9.getMaxIterations();
    java.lang.Object[] obj_array11 = maxIterationsExceededException9.getArguments();
    java.lang.Object[] obj_array12 = maxIterationsExceededException9.getArguments();
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("hi!", obj_array7, (java.lang.Throwable)maxIterationsExceededException9);
    java.lang.Object[] obj_array16 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable17 = null;
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("hi!", obj_array16, throwable17);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array7, (java.lang.Throwable)mathException18);
    java.lang.Object[] obj_array22 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable23 = null;
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("hi!", obj_array22, throwable23);
    org.apache.commons.math.ConvergenceException convergenceException25 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array7, (java.lang.Throwable)mathException24);
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array7);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException(0.12341100806601668d, "org.apache.commons.math.MathException: Maximal number of iterations (-1) exceeded", obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test468"); }


    org.apache.commons.math.distribution.FDistributionImpl fDistributionImpl2 = new org.apache.commons.math.distribution.FDistributionImpl(0.4269660832428465d, 0.38693924833576954d);
    double d4 = fDistributionImpl2.inverseCumulativeProbability(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test469"); }


    org.apache.commons.math.distribution.FDistributionImpl fDistributionImpl2 = new org.apache.commons.math.distribution.FDistributionImpl(4.424353726751487d, 2.2121768633757437d);
    double d4 = fDistributionImpl2.cumulativeProbability(0.0d);
    double d6 = fDistributionImpl2.cumulativeProbability((-241.8972023696183d));
    double d9 = fDistributionImpl2.cumulativeProbability((-241.8972023696183d), 4.424353726751487d);
    double d12 = fDistributionImpl2.cumulativeProbability(0.0d, 0.8248778838679155d);
    fDistributionImpl2.setNumeratorDegreesOfFreedom(4.424353726751487d);
    double d15 = fDistributionImpl2.getDenominatorDegreesOfFreedom();
    double d16 = fDistributionImpl2.getNumeratorDegreesOfFreedom();
    double d18 = fDistributionImpl2.cumulativeProbability(1.1060884316878716d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.8248778838679155d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.38693924833576954d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 2.2121768633757437d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 4.424353726751487d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.47883509160607496d);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test470"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-4.605170185988072d));
    double d2 = functionEvaluationException1.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-4.605170185988072d));

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test471"); }


    java.lang.Object[] obj_array6 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException8 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i9 = maxIterationsExceededException8.getMaxIterations();
    java.lang.Object[] obj_array10 = maxIterationsExceededException8.getArguments();
    java.lang.Object[] obj_array11 = maxIterationsExceededException8.getArguments();
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("hi!", obj_array6, (java.lang.Throwable)maxIterationsExceededException8);
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException("", obj_array6);
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array6);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException15 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test472"); }


    double d4 = org.apache.commons.math.special.Beta.logBeta((-18.1002926075588d), (-70.94860118480915d), 0.4269660832428465d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test473"); }


    org.apache.commons.math.distribution.FDistributionImpl fDistributionImpl2 = new org.apache.commons.math.distribution.FDistributionImpl(4.424353726751487d, 2.2121768633757437d);
    double d4 = fDistributionImpl2.cumulativeProbability(0.0d);
    double d5 = fDistributionImpl2.getDenominatorDegreesOfFreedom();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 2.2121768633757437d);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test474"); }


    java.lang.Object[] obj_array6 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException8 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i9 = maxIterationsExceededException8.getMaxIterations();
    java.lang.Object[] obj_array10 = maxIterationsExceededException8.getArguments();
    java.lang.Object[] obj_array11 = maxIterationsExceededException8.getArguments();
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("hi!", obj_array6, (java.lang.Throwable)maxIterationsExceededException8);
    java.lang.Object[] obj_array15 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable16 = null;
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("hi!", obj_array15, throwable16);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array6, (java.lang.Throwable)mathException17);
    java.lang.Object[] obj_array21 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable22 = null;
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException("hi!", obj_array21, throwable22);
    org.apache.commons.math.ConvergenceException convergenceException24 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array6, (java.lang.Throwable)mathException23);
    java.lang.Throwable[] throwable_array25 = mathException23.getSuppressed();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException33 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i34 = maxIterationsExceededException33.getMaxIterations();
    java.lang.Object[] obj_array35 = maxIterationsExceededException33.getArguments();
    java.lang.Object[] obj_array36 = maxIterationsExceededException33.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((-70.94860118480915d), "org.apache.commons.math.MathException: Maximal number of iterations (0) exceeded", obj_array36);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException((-120.44860118480915d), "org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: Maximal number of iterations (0) exceeded", obj_array36);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException40 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i41 = maxIterationsExceededException40.getMaxIterations();
    java.lang.Object[] obj_array42 = maxIterationsExceededException40.getArguments();
    org.apache.commons.math.MathException mathException43 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException(4.054833958977294d, "org.apache.commons.math.FunctionEvaluationException: ", obj_array36, (java.lang.Throwable)mathException43);
    org.apache.commons.math.ConvergenceException convergenceException45 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: Maximal number of iterations (-1) exceeded", (java.lang.Object[])throwable_array25, (java.lang.Throwable)mathException43);
    java.lang.Object[] obj_array49 = new java.lang.Object[] { Double.NaN };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException51 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.ConvergenceException convergenceException52 = new org.apache.commons.math.ConvergenceException("", obj_array49, (java.lang.Throwable)maxIterationsExceededException51);
    java.lang.Object[] obj_array53 = maxIterationsExceededException51.getArguments();
    int i54 = maxIterationsExceededException51.getMaxIterations();
    org.apache.commons.math.MathException mathException55 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException51);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException((-70.94860118480915d), (java.lang.Throwable)maxIterationsExceededException51);
    org.apache.commons.math.MathException mathException57 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException56);
    org.apache.commons.math.MathException mathException58 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Object[])throwable_array25, (java.lang.Throwable)functionEvaluationException56);
    java.lang.Throwable[] throwable_array59 = mathException58.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i54 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array59);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test475"); }


    java.lang.Object[] obj_array2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-4.440892098500626E-16d), "", obj_array2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test476"); }


    java.lang.Object[] obj_array10 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable11 = null;
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("hi!", obj_array10, throwable11);
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException("", obj_array10);
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array10);
    java.lang.Throwable throwable15 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException(0.0d, "", obj_array10, throwable15);
    java.lang.Object[] obj_array22 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException24 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i25 = maxIterationsExceededException24.getMaxIterations();
    java.lang.Object[] obj_array26 = maxIterationsExceededException24.getArguments();
    java.lang.Object[] obj_array27 = maxIterationsExceededException24.getArguments();
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException("hi!", obj_array22, (java.lang.Throwable)maxIterationsExceededException24);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException("", obj_array22);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array22);
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array22);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(100.0d, "", obj_array10, (java.lang.Throwable)mathException31);
    java.lang.Object[] obj_array37 = new java.lang.Object[] { Double.NaN };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException39 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.ConvergenceException convergenceException40 = new org.apache.commons.math.ConvergenceException("", obj_array37, (java.lang.Throwable)maxIterationsExceededException39);
    java.lang.Object[] obj_array41 = maxIterationsExceededException39.getArguments();
    java.lang.Object[] obj_array45 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException47 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i48 = maxIterationsExceededException47.getMaxIterations();
    java.lang.Object[] obj_array49 = maxIterationsExceededException47.getArguments();
    java.lang.Object[] obj_array50 = maxIterationsExceededException47.getArguments();
    org.apache.commons.math.MathException mathException51 = new org.apache.commons.math.MathException("hi!", obj_array45, (java.lang.Throwable)maxIterationsExceededException47);
    java.lang.Object[] obj_array54 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable55 = null;
    org.apache.commons.math.MathException mathException56 = new org.apache.commons.math.MathException("hi!", obj_array54, throwable55);
    org.apache.commons.math.MathException mathException57 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array45, (java.lang.Throwable)mathException56);
    org.apache.commons.math.MathException mathException58 = new org.apache.commons.math.MathException("", obj_array41, (java.lang.Throwable)mathException56);
    org.apache.commons.math.ConvergenceException convergenceException59 = new org.apache.commons.math.ConvergenceException("", obj_array41);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException((-1.3766765505351941E-14d), "", obj_array10, (java.lang.Throwable)convergenceException59);
    org.apache.commons.math.ConvergenceException convergenceException61 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array54);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test477"); }


    org.apache.commons.math.distribution.FDistributionImpl fDistributionImpl2 = new org.apache.commons.math.distribution.FDistributionImpl(4.424353726751487d, 2.2121768633757437d);
    double d4 = fDistributionImpl2.cumulativeProbability((-1.3766765505351941E-14d));
    double d5 = fDistributionImpl2.getDenominatorDegreesOfFreedom();
    double d6 = fDistributionImpl2.getNumeratorDegreesOfFreedom();
    double d8 = fDistributionImpl2.cumulativeProbability(180.67319111647558d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 2.2121768633757437d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 4.424353726751487d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.9965364398732405d);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test478"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.6059085722025874d, 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test479"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException2 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str3 = maxIterationsExceededException2.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    maxIterationsExceededException2.addSuppressed((java.lang.Throwable)functionEvaluationException5);
    org.apache.commons.math.ConvergenceException convergenceException7 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException(0.9983761531872986d, (java.lang.Throwable)functionEvaluationException5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str3.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test480"); }


    org.apache.commons.math.distribution.FDistributionImpl fDistributionImpl2 = new org.apache.commons.math.distribution.FDistributionImpl(4.424353726751487d, 2.2121768633757437d);
    double d3 = fDistributionImpl2.getNumeratorDegreesOfFreedom();
    // The following exception was thrown during execution in test generation
    try {
      fDistributionImpl2.setDenominatorDegreesOfFreedom((-120.44860118480915d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 4.424353726751487d);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test481"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException2 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str3 = maxIterationsExceededException2.toString();
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException2);
    java.lang.String str5 = maxIterationsExceededException2.getPattern();
    java.lang.Throwable[] throwable_array6 = maxIterationsExceededException2.getSuppressed();
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("Evaluation failed for argument = {0}", (java.lang.Object[])throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str3.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str5.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test482"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(4.054833958977294d, 0.47883509160607496d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0013228504993443733d);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test483"); }


    java.lang.Object[] obj_array4 = new java.lang.Object[] { Double.NaN };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException6 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.ConvergenceException convergenceException7 = new org.apache.commons.math.ConvergenceException("", obj_array4, (java.lang.Throwable)maxIterationsExceededException6);
    java.lang.Throwable[] throwable_array8 = convergenceException7.getSuppressed();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException13 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i14 = maxIterationsExceededException13.getMaxIterations();
    java.lang.Object[] obj_array15 = maxIterationsExceededException13.getArguments();
    java.lang.Object[] obj_array16 = maxIterationsExceededException13.getArguments();
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("hi!", obj_array16);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException();
    java.lang.String str20 = mathException19.getPattern();
    java.lang.Object[] obj_array21 = new java.lang.Object[] { str20 };
    java.lang.Object[] obj_array26 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException28 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i29 = maxIterationsExceededException28.getMaxIterations();
    java.lang.Object[] obj_array30 = maxIterationsExceededException28.getArguments();
    java.lang.Object[] obj_array31 = maxIterationsExceededException28.getArguments();
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException("hi!", obj_array26, (java.lang.Throwable)maxIterationsExceededException28);
    java.lang.Object[] obj_array35 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable36 = null;
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException("hi!", obj_array35, throwable36);
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array26, (java.lang.Throwable)mathException37);
    java.lang.Object[] obj_array41 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable42 = null;
    org.apache.commons.math.MathException mathException43 = new org.apache.commons.math.MathException("hi!", obj_array41, throwable42);
    org.apache.commons.math.ConvergenceException convergenceException44 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array26, (java.lang.Throwable)mathException43);
    org.apache.commons.math.MathException mathException45 = new org.apache.commons.math.MathException("", obj_array21, (java.lang.Throwable)convergenceException44);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException(0.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array16, (java.lang.Throwable)mathException45);
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException("", (java.lang.Object[])throwable_array8, (java.lang.Throwable)functionEvaluationException46);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException(100.0d, (java.lang.Throwable)mathException47);
    java.lang.String str49 = functionEvaluationException48.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str49 + "' != '" + ""+ "'", str49.equals(""));

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test484"); }


    java.lang.Object[] obj_array10 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable11 = null;
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("hi!", obj_array10, throwable11);
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException("", obj_array10);
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array10);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException16 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str17 = maxIterationsExceededException16.toString();
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException16);
    java.lang.String str19 = maxIterationsExceededException16.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(359.1342053695754d, "", obj_array10, (java.lang.Throwable)maxIterationsExceededException16);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException22 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str23 = maxIterationsExceededException22.toString();
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException22);
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("", obj_array10, (java.lang.Throwable)maxIterationsExceededException22);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException27 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str28 = maxIterationsExceededException27.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(10.0d, "Evaluation failed for argument = {0}", obj_array10, (java.lang.Throwable)maxIterationsExceededException27);
    java.lang.Throwable throwable30 = null;
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array10, throwable30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str17.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str19.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str23.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str28.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test485"); }


    org.apache.commons.math.distribution.FDistributionImpl fDistributionImpl2 = new org.apache.commons.math.distribution.FDistributionImpl(4.424353726751487d, 2.2121768633757437d);
    double d4 = fDistributionImpl2.cumulativeProbability(0.0d);
    double d6 = fDistributionImpl2.cumulativeProbability((-241.8972023696183d));
    double d9 = fDistributionImpl2.cumulativeProbability((-241.8972023696183d), 4.424353726751487d);
    double d12 = fDistributionImpl2.cumulativeProbability(0.0d, 0.8248778838679155d);
    double d14 = fDistributionImpl2.cumulativeProbability((-1.151292546497026d));
    double d17 = fDistributionImpl2.cumulativeProbability((-5.117083238722458d), 0.9027792165662616d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.8248778838679155d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.38693924833576954d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.41506970105138574d);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test486"); }


    org.apache.commons.math.distribution.FDistributionImpl fDistributionImpl2 = new org.apache.commons.math.distribution.FDistributionImpl(4.424353726751487d, 2.2121768633757437d);
    double d4 = fDistributionImpl2.cumulativeProbability(0.0d);
    double d6 = fDistributionImpl2.cumulativeProbability((-241.8972023696183d));
    double d9 = fDistributionImpl2.cumulativeProbability((-241.8972023696183d), 4.424353726751487d);
    double d10 = fDistributionImpl2.getDenominatorDegreesOfFreedom();
    double d12 = fDistributionImpl2.inverseCumulativeProbability(0.0d);
    double d13 = fDistributionImpl2.getNumeratorDegreesOfFreedom();
    double d14 = fDistributionImpl2.getNumeratorDegreesOfFreedom();
    double d15 = fDistributionImpl2.getDenominatorDegreesOfFreedom();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.8248778838679155d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 2.2121768633757437d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 4.424353726751487d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 4.424353726751487d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 2.2121768633757437d);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test487"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException((-1));
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException(4.424353726751487d);
    maxIterationsExceededException1.addSuppressed((java.lang.Throwable)functionEvaluationException3);
    int i5 = maxIterationsExceededException1.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test488"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.solve(univariateRealFunction0, (-120.44860118480915d), 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test489"); }


    java.lang.Object[] obj_array4 = new java.lang.Object[] { Double.NaN };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException6 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.ConvergenceException convergenceException7 = new org.apache.commons.math.ConvergenceException("", obj_array4, (java.lang.Throwable)maxIterationsExceededException6);
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException("Maximal number of iterations ({0}) exceeded", obj_array4);
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException("Evaluation failed for argument = 10", obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test490"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.47883509160607496d, (-18.1002926075588d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test491"); }


    java.lang.Object[] obj_array3 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException5 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i6 = maxIterationsExceededException5.getMaxIterations();
    java.lang.Object[] obj_array7 = maxIterationsExceededException5.getArguments();
    java.lang.Object[] obj_array8 = maxIterationsExceededException5.getArguments();
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("hi!", obj_array3, (java.lang.Throwable)maxIterationsExceededException5);
    java.lang.Object[] obj_array12 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable13 = null;
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException("hi!", obj_array12, throwable13);
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array3, (java.lang.Throwable)mathException14);
    java.lang.Throwable throwable16 = null;
    // The following exception was thrown during execution in test generation
    try {
      mathException15.addSuppressed(throwable16);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test492"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException2 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str3 = maxIterationsExceededException2.toString();
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException2);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.628010676625802d), (java.lang.Throwable)maxIterationsExceededException2);
    org.apache.commons.math.ConvergenceException convergenceException6 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str3.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test493"); }


    java.lang.Object[] obj_array11 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable12 = null;
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("hi!", obj_array11, throwable12);
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException("", obj_array11);
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array11);
    java.lang.Throwable throwable16 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(0.0d, "", obj_array11, throwable16);
    java.lang.Object[] obj_array23 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException25 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i26 = maxIterationsExceededException25.getMaxIterations();
    java.lang.Object[] obj_array27 = maxIterationsExceededException25.getArguments();
    java.lang.Object[] obj_array28 = maxIterationsExceededException25.getArguments();
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("hi!", obj_array23, (java.lang.Throwable)maxIterationsExceededException25);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("", obj_array23);
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array23);
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException(100.0d, "", obj_array11, (java.lang.Throwable)mathException32);
    java.lang.Object[] obj_array38 = new java.lang.Object[] { Double.NaN };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException40 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.ConvergenceException convergenceException41 = new org.apache.commons.math.ConvergenceException("", obj_array38, (java.lang.Throwable)maxIterationsExceededException40);
    java.lang.Object[] obj_array42 = maxIterationsExceededException40.getArguments();
    java.lang.Object[] obj_array46 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException48 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i49 = maxIterationsExceededException48.getMaxIterations();
    java.lang.Object[] obj_array50 = maxIterationsExceededException48.getArguments();
    java.lang.Object[] obj_array51 = maxIterationsExceededException48.getArguments();
    org.apache.commons.math.MathException mathException52 = new org.apache.commons.math.MathException("hi!", obj_array46, (java.lang.Throwable)maxIterationsExceededException48);
    java.lang.Object[] obj_array55 = new java.lang.Object[] { (-1) };
    java.lang.Throwable throwable56 = null;
    org.apache.commons.math.MathException mathException57 = new org.apache.commons.math.MathException("hi!", obj_array55, throwable56);
    org.apache.commons.math.MathException mathException58 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array46, (java.lang.Throwable)mathException57);
    org.apache.commons.math.MathException mathException59 = new org.apache.commons.math.MathException("", obj_array42, (java.lang.Throwable)mathException57);
    org.apache.commons.math.ConvergenceException convergenceException60 = new org.apache.commons.math.ConvergenceException("", obj_array42);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException61 = new org.apache.commons.math.FunctionEvaluationException((-1.3766765505351941E-14d), "", obj_array11, (java.lang.Throwable)convergenceException60);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException64 = new org.apache.commons.math.MaxIterationsExceededException(1);
    org.apache.commons.math.MathException mathException65 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException64);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), (java.lang.Throwable)mathException65);
    org.apache.commons.math.MathException mathException67 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: Maximal number of iterations (-1) exceeded", obj_array11, (java.lang.Throwable)mathException65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array55);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test494"); }


    java.lang.Object[] obj_array2 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException4 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i5 = maxIterationsExceededException4.getMaxIterations();
    java.lang.Object[] obj_array6 = maxIterationsExceededException4.getArguments();
    java.lang.Object[] obj_array7 = maxIterationsExceededException4.getArguments();
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("hi!", obj_array2, (java.lang.Throwable)maxIterationsExceededException4);
    int i9 = maxIterationsExceededException4.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test495"); }


    org.apache.commons.math.distribution.FDistributionImpl fDistributionImpl2 = new org.apache.commons.math.distribution.FDistributionImpl(4.424353726751487d, 2.2121768633757437d);
    double d3 = fDistributionImpl2.getDenominatorDegreesOfFreedom();
    double d5 = fDistributionImpl2.inverseCumulativeProbability(0.016548811916448882d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 2.2121768633757437d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.08573214652023443d);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test496"); }


    double d2 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.midpoint((-241.8972023696183d), 0.12341100806601668d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-120.88689568077614d));

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test497"); }


    double d2 = org.apache.commons.math.special.Beta.logBeta(100.0d, 0.15357218284541152d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0964458701486137d);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test498"); }


    double d3 = org.apache.commons.math.special.Beta.regularizedBeta((-0.9499703443181602d), (-4.605170185988072d), (-4.440892098500626E-16d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test499"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.analysis.UnivariateRealSolverUtils.solve(univariateRealFunction0, 359.1342053695754d, 0.0d, 0.6343597610131397d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test500"); }


    double d4 = org.apache.commons.math.special.Beta.logBeta(0.0d, 0.8248778838679155d, (-35.28083096823669d), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

}
